(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    157629,       3167]
NotebookOptionsPosition[    151612,       3062]
NotebookOutlinePosition[    151986,       3078]
CellTagsIndexPosition[    151943,       3075]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Introduction of Artificial Neural Networks", "Title",
 CellChangeTimes->{{3.7911997287617216`*^9, 
  3.7911997545204906`*^9}},ExpressionUUID->"4b67fbdf-4607-41cd-965a-\
f0df77d070a3"],

Cell[CellGroupData[{

Cell["functions", "Subsubsection",
 CellChangeTimes->{{3.791266337173601*^9, 
  3.791266348422041*^9}},ExpressionUUID->"5fe0192c-a430-48c0-ac68-\
42c8fa39a2b0"],

Cell["here are the functions for making an interactive NN plot", "Text",
 CellChangeTimes->{{3.7912663873255477`*^9, 
  3.791266397493407*^9}},ExpressionUUID->"33840942-895e-4ae6-8fb2-\
67c9ce3ac854"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ClearAll", "@", "ReLU"}], "\[IndentingNewLine]", 
 RowBox[{"ReLU", "=", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", "#"}], "\[Equal]", "0"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"#", ">", "0"}], ",", "#", ",", 
       RowBox[{"0.1", "*", "#"}]}], "]"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"#", ">", "0"}], ",", "#", ",", 
          RowBox[{"0.1", "*", "#"}]}], "]"}], "&"}], ",", "#", ",", 
       RowBox[{"Length", "@", 
        RowBox[{"Dimensions", "@", "#"}]}]}], "]"}]}], "]"}], 
   "&"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.791197057384864*^9, 3.7911970954616127`*^9}, 
   3.79119716042293*^9, {3.791197326482338*^9, 3.791197350007814*^9}, {
   3.7911973845142884`*^9, 3.7911974293529415`*^9}, {3.7911974607988434`*^9, 
   3.791197469296216*^9}, {3.791199027123818*^9, 3.7911990300507092`*^9}},
 CellLabel->
  "In[200]:=",ExpressionUUID->"37c5f8dd-e65a-41c9-ba2e-6748b914ffaf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Length", "[", "#1", "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"#1", ">", "0"}], ",", "#1", ",", 
      RowBox[{"0.1`", " ", "#1"}]}], "]"}], ",", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#1", ">", "0"}], ",", "#1", ",", 
         RowBox[{"0.1`", " ", "#1"}]}], "]"}], "&"}], ",", "#1", ",", 
      RowBox[{"Length", "[", 
       RowBox[{"Dimensions", "[", "#1", "]"}], "]"}]}], "]"}]}], "]"}], 
  "&"}]], "Output",
 CellChangeTimes->{
  3.7911971610787597`*^9, {3.7911973409675245`*^9, 3.7911973504763165`*^9}, 
   3.7911974305554686`*^9, 3.7911974705664577`*^9, 3.7911998901825314`*^9},
 CellLabel->
  "Out[201]=",ExpressionUUID->"24c92188-2e4b-4f69-bc4b-c387d02490e9"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"ClearAll", "@", "NN"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NN", "[", 
   RowBox[{"weights_", ",", "biases_", ",", 
    RowBox[{"af_:", "Tanh"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "exp", "}"}], ",", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"i", "\[Equal]", "1"}], ",", 
          RowBox[{"exp", "=", 
           RowBox[{"af", "[", 
            RowBox[{
             RowBox[{"#", ".", 
              RowBox[{"weights", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "+", 
             RowBox[{"biases", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ",", 
          RowBox[{"exp", "=", 
           RowBox[{"af", "[", 
            RowBox[{
             RowBox[{"exp", ".", 
              RowBox[{"weights", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "+", 
             RowBox[{"biases", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "@", "weights"}]}], "}"}]}], "]"}], ";", 
      "exp"}]}], "]"}], "&"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7911958112539377`*^9, 3.791195915355464*^9}, {
  3.7911959968316708`*^9, 3.791195999455479*^9}, {3.7911961542787333`*^9, 
  3.7911962149931116`*^9}, {3.7911962681798906`*^9, 3.791196354759431*^9}, {
  3.791196426203395*^9, 3.7911964550161347`*^9}, {3.7911968365298896`*^9, 
  3.79119683749444*^9}, {3.791196972526026*^9, 3.7911970088019376`*^9}, {
  3.7911978232573023`*^9, 3.7911978471988993`*^9}, {3.7911989785859833`*^9, 
  3.791198980834529*^9}},
 CellLabel->
  "In[202]:=",ExpressionUUID->"22e973cf-f21a-4d15-b2f0-04517e0b6c0e"],

Cell[BoxData[{
 RowBox[{"ClearAll", "@", "InteractiveNN"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"InteractiveNN", "[", "layers_", "]"}], ":=", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"numlayers", "=", 
       RowBox[{"Length", "@", "layers"}]}], ",", 
      RowBox[{"dims", "=", 
       RowBox[{"Partition", "[", 
        RowBox[{"layers", ",", "2", ",", "1"}], "]"}]}], ",", "weights", ",", 
      "biases", ",", 
      RowBox[{"iselect", "=", "1"}], ",", 
      RowBox[{"jselect", "=", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"weights", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "d"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "dims"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"biases", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"Last", "@", "d"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "dims"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Column", "@", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"click", " ", "pane"}], ",", " ", 
         RowBox[{
          RowBox[{"a", " ", "node"}], "-", 
          RowBox[{
          "edge", " ", "visualization", " ", "of", " ", "the", " ", 
           "NN"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ClickPane", "[", 
            RowBox[{
             RowBox[{"Dynamic", "@", 
              RowBox[{"Graphics", "[", 
               RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{"draw", " ", "the", " ", "edges"}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"numlayers", ">", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"i", "\[Equal]", "iselect"}], "&&", 
                    RowBox[{"j1", "\[Equal]", "jselect"}]}], ",", "Red", ",", 
                    "Gray"}], "]"}], ",", 
                    RowBox[{"Line", "@", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"i", "/", "numlayers"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j1", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "1"}], ")"}], "/", 
                    "2"}]}], ")"}], "/", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], "/", "numlayers"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j2", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"layers", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "-", "1"}], "]"}], "]"}], "+", "1"}], ")"}], 
                    "/", "2"}]}], ")"}], "/", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "-", "1"}], "]"}], "]"}]}]}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "2", ",", "numlayers"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j1", ",", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j2", ",", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}]}],
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"(*", 
                   RowBox[{"draw", " ", "the", " ", "nodes"}], "*)"}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"Table", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"iselect", "\[Equal]", "i"}], "&&", 
                    RowBox[{"jselect", "\[Equal]", "j"}]}], ",", "Red", ",", 
                    "Black"}], "]"}], ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"i", "/", "numlayers"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "1"}], ")"}], "/", 
                    "2"}]}], ")"}], "/", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", "0.03"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "numlayers"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], "]"}]}], 
                 "\[IndentingNewLine]", "}"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
             "\[IndentingNewLine]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"iselect", "=", 
                 RowBox[{"Round", "[", 
                  RowBox[{
                   RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "*", "numlayers"}], 
                  "]"}]}], ";", 
                RowBox[{"jselect", "=", 
                 RowBox[{"Round", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "*", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "iselect", "]"}], "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"layers", "[", 
                    RowBox[{"[", "iselect", "]"}], "]"}], "+", "1"}], ")"}], 
                    "/", "2"}]}], "]"}]}]}], ")"}], "&"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Spacer", "@", "25"}], ",", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"dynamic", " ", "plot"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "@", 
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"First", "[", 
                   RowBox[{
                    RowBox[{"NN", "[", 
                    RowBox[{"weights", ",", "biases", ",", "Tanh"}], "]"}], 
                    "@", 
                    RowBox[{"{", "#", "}"}]}], "]"}], "&"}], "[", "x", "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"First", "[", 
                   RowBox[{
                    RowBox[{"NN", "[", 
                    RowBox[{"weights", ",", "biases", ",", "ReLU"}], "]"}], 
                    "@", 
                    RowBox[{"{", "#", "}"}]}], "]"}], "&"}], "[", "x", 
                 "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", 
                RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
              RowBox[{"PlotLegends", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<Tanh\>\"", ",", "\"\<ReLU\>\""}], "}"}]}]}], 
             "]"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "sliders", " ", "based", " ", "on", " ", "iselect", " ", "and", " ", 
          "jselect"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"iselect", ">", "1"}], ",", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"select", " ", 
               RowBox[{"(", 
                RowBox[{"iselect", "-", "1"}], ")"}]}], "-", 
              RowBox[{"th", " ", "weight"}]}], ",", " ", 
             RowBox[{"which", " ", "would", " ", "have", " ", 
              RowBox[{"layers", "[", 
               RowBox[{"[", 
                RowBox[{"iselect", "-", "1"}], "]"}], "]"}], " ", "rows"}], 
             ",", " ", 
             RowBox[{
              RowBox[{
              "show", " ", "all", " ", "the", " ", "rows", " ", "at", " ", 
               "the", " ", "jselect"}], "-", 
              RowBox[{"th", " ", "column"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"Column", "@", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"iselect", "\[Equal]", "numlayers"}], ",", 
                "\"\<Output Neuron\>\"", ",", "\"\<Hidden Neuron\>\""}], 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Row", "@", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Grid", "[", 
                  RowBox[{"Table", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"j", "=", "j"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Superscript", "[", 
                    RowBox[{"\"\<w\>\"", ",", 
                    RowBox[{"iselect", "-", "1"}]}], "]"}], ",", "j", ",", 
                    "jselect"}], "]"}], ",", 
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"weights", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"iselect", "-", "1"}], ",", "j", ",", "jselect"}],
                     "]"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"weights", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"iselect", "-", "1"}], ",", "j", ",", "jselect"}],
                     "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", 
                    RowBox[{"layers", "[", 
                    RowBox[{"[", 
                    RowBox[{"iselect", "-", "1"}], "]"}], "]"}]}], "}"}]}], 
                   "]"}], "\[IndentingNewLine]", "]"}], ",", 
                 RowBox[{"Spacer", "@", "20"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Row", "@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Superscript", "[", 
                    RowBox[{"\"\<b\>\"", ",", 
                    RowBox[{"iselect", "-", "1"}]}], "]"}], ",", "jselect"}], 
                    "]"}], ",", 
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"biases", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"iselect", "-", "1"}], ",", "jselect"}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"biases", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"iselect", "-", "1"}], ",", "jselect"}], "]"}], 
                    "]"}], "]"}]}], "}"}]}]}], "}"}]}]}], 
             "\[IndentingNewLine]", "}"}]}], ",", "\"\<Input Neuron\>\""}], 
          "]"}]}]}], "\[IndentingNewLine]", "}"}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->CompressedData["
1:eJwd0VtIkwEAxfHZckMklxXShUQXNFOrIRQDwSzywrSRGq1GuFkTKYo1JuYk
oywXPpQg5DBGk1UfoYii9uVGyFiXFZWU9pBSlgW1cC3K7SGSaP/v4fB7PYeT
e9xW27hCJpMVJIOGgW7L5j3RvRcySp14MV1XnpP0dkbzAZyLhmtQ/khjxP6z
K82YsJY14K43VxpRK1xtQmugwoYao0Uy2NHZjJOtI5KevietGPBVXsJ79rUu
bN+2xotd04k7uKiOCaj4MjGIT2f9I3jYc1lE0WsN4Wv7kReYdy19SnI+awaj
4+E5PDfQ8hHjnSULGCs6GpH2qCsX8Wta/RL2rvcvo2HfjpTcpLd8KQocH87U
YkDIK8LqplodmjW2OhR3O40YHK4/gdN6zykctLjasXKpqgtNqya7sdZtvoH9
8rgHQ8L1u9jx3CvglNkxhJGXEck2xcwoHip2jeF5o28C3aaqxyifFQrV/GTo
KcZnD6fKUFm9rhzzP+88g0U9x2xo2ireR0dfth/bFpRv8UNL9jvsrQhH0FX3
6ieKqRlxLHwfTNtCT+s/FZb+0a7G738LNuCoYX4Tbvylz8exTOV2dNhDJaj/
9mM/iorfB/Fmor4G/ac9DZi1PC75ya06iYEHOZK6WGeLpCrVif8Bjuww9w==

  "],
 CellLabel->
  "In[204]:=",ExpressionUUID->"4065d089-2186-425b-8638-3727296d844e"],

Cell[BoxData[
 RowBox[{"InteractiveNN", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "3", ",", "5", ",", "3", ",", "1"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7912041905648427`*^9, 3.791204194118527*^9}},
 CellLabel->
  "In[232]:=",ExpressionUUID->"6bd57ad9-ff88-44dc-8079-50e1d7b260c6"]
}, Closed]],

Cell[CellGroupData[{

Cell["The Bio-inspired Structure", "Chapter",
 CellChangeTimes->{{3.791199794424138*^9, 3.791199817075786*^9}, {
  3.791200265940048*^9, 3.791200270812752*^9}, {3.7912656534259796`*^9, 
  3.791265654118937*^9}},ExpressionUUID->"fdccd14f-14cb-4776-81f6-\
923069e2fd56"],

Cell["\<\
The basic computational unit of Neural Network, called Perceptron, can be \
visualized as below.\
\>", "Text",
 CellChangeTimes->{{3.791200149274787*^9, 3.7912002136789336`*^9}, {
  3.7912033677175684`*^9, 3.791203408232608*^9}, {3.791203737508825*^9, 
  3.791203829745329*^9}},ExpressionUUID->"1ac0ec6d-f22a-4f51-9bac-\
08cd968cedf6"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzsnXdMFVv39481BkMwRKOBaDBK1KhRr0oUjS02oqLyile9+lxR7GJX7F2x
K7Zr712xgIWiIoi9ARYU6QJ2QcByH0Xe7z3rYf/mzinMKfT1+YNw5szZs2eX
9V1rz569aw+b6DKyrEqlmloJf1zcPDtOmeI26/9VwQfXCVPHjJowwt1pwrQR
o0ZMaTWsHA62K6NSrcf5//yfwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAM
wzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAM
wzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAM
wzAMwzAMwzAMwzAMwzAMwzAMwzAMwzCKSUlJiY2N/fvvv7V++/Lly9TU1Py7
+vfv37dv375v3778u0Qp58uXL48ePYqMjMzOzjZvymlpaZs2bTp79qx5ky1S
V2QYhikKPHjwQKWmcePGGRkZsm/j4+PxVaNGjfIvA3fu3KEMvHr1Kv+uUpqZ
PHkylfD+/fvNm7KPjw+SLVOmjC5Pz+wU/BUZhlFIdHT08ePHk5OTCzsjJZML
Fy6oclmyZIns27i4OBxv2LChocl+/vzZxsamadOmeZ75/v17Jyen/v37//jx
w9CrmJ3169dbWlqePn26sDNiNr5+/Yo7ovrt2LGjcYnoqk30zU6dOnl4eJic
zcK/IlMowOkKDw9n854nMI8oqKioKK3fogAfPnyYmZmp+dWvX78eP378/Plz
gy6H1NauXWvor+bOnQs7s23bNoN+xSiExLpVq1b4W758eVl4a7RYQ4Lxw0qV
KpkvpwXBrFmzkO2dO3cWdkbMhp+fH+5o7NixqAv8Exsba0QiBV+bxbT9MIZy
8eJFVHTnzp0LOyNFnYSEBHK5X79+LfsKclyjRg18NWPGDM0fQnbxFU4w6HLO
zs741cSJEw36FYt1vkJiPWbMGDc3N/wzatQo6bd5inV6ejqaiuZx8xrbjIwM
rVeR8f37d62+pXJKnlgPGjQId3Tnzp3Ro0fjnzVr1ug//4sa2cH8kE5U6KdP
nzSvZcoVs7Oz09LSFJ6ssFEx+QrZn06dOhV2Rv5B+XhgoWBvb4+yOnXqlOw4
4l/S8Xr16mn+ytvbG1+h+xt0rd27d7dp0+b8+fMG/Uq5WJe8McwCgDrLiBEj
Xr58WaZMGfwfER4hvtUl1omJiX/+5080bHxbpUqVPn36PH78mL6CYjZp0qR2
7drUfuzVoBUhfa0ZgLza2dlJOwiO2Nrauru7w5ZCN1u0aIF0qlatOn78+Kys
LOlv0Q6rVauGlKOjo/v3709XbNWq1d69e6WnvX37Fllt166d7NL79u2ztrYm
aUbjRD4rV66MFHCQsj19+nSDCrOo8eHDB9QpihcqduXKFdxagwYNtCrU33//
DR1v1KgRlSHK/NixYzhTa23KGDduHFL473//W0tNUlKSLPFDhw6hSFevXk0f
4TkMGzbMysqK0kTVLF68WHhZyq8oBbnt1q0bVR+aRN++faXNOMeQRsUUJEVK
rIv4eM7MmTORPc3GD3MnHmXCYsu+7dmzJ46fOXOmAHKoXKxLXlhUAFBnGT58
OP6fOnUq/u/Ro4f4VqtYh4WFwSmCCkCvV65cCQOI/8uVKxcUFJSjfrbStWvX
li1bUuNxVNO2bVtdj6U+fvxII/CyI+3bt6dgEELv4uJSsWJF/A+DLP0ttY0V
K1ZUqFABWRoyZIi4Ljw3cRqNIGkOBEGecHz58uX4/8SJE8gn7DyOQN0o20jZ
uFItIsAbwe0sWrQoRy3H0CZ8vHfvnuw06CM8GZI5lCHcHnrM7efnp7U2BY0b
N8bB5r81p3Qgkfi4ceNGWfqofRz39/fH/5GRkfi/bNmyrq6uc+bMgeUh1UZb
opMNuiL4+fMnWiAOooU4OzujzdA5aJNHjhwRpylvVExBokSsC2xgLU+xhtOL
c+CXmnIVoyF/Gz6nrDSGDh2K44h3VBqTSL98+QLLjOPw27WmqWtoVA8oBPxK
66slMrFGX9Y1dJanWKPSP3/+bFDGSjxSsUYEamFhgY+BgYH0raZYw+YjOsPB
4OBgWSI4Lpqxch9Vl1iTSff19aW2FBUVhXNoRFecSW0DQF/E+Cf5mWiiSIeO
KBFrooT5e7CB0qGS6dOn46Onp6fstM2bN+N4hw4dPn36REdQmJMnTyZ5zdFd
m0hZKp2nTp3CRwcHB+k59EJBlSpVaP426gIukNR0JCYmwteSBQUKr5ijjqmp
7Ul/vmXLFhxEoC3agPJGxRQkmmJdKANreY4HRkRE9OrVi1oLmiv08d27d/lR
IHoQyiudZgbRxF1Ur14drim++uOPP6Q/CQ0NVWmbWapnaJSAy40yP3nypPTg
rVu34EhTIcDRFSNdsBV0ghDrV69eDR48GGoCnxkGAW6GSET/GCYqYsOGDTVr
1qSKgPQcP37c5JIrIUjFOkf9KIGcNJqbrSnWZBtHjhwpTQQaTbHYjRs36IhZ
xJpCdQHFRDt27BBHqG307NlT9iIPdXC0CvpYOsVas+5u375Ndk9aXOjsVHd6
BEuhdMIZJtmF8RTnbNq0CUf0P1CgkFzq/im8IsJqOzs7HAkICJCdSY6KGGBR
3qiYgkRTrAtlYE3/eGBMTAyaIq4ydepUSAkyhvz4+PjkY7noAEWB7O3atUsc
efLkiUr9HBNZxT/QR2nvXrZsGQ6uW7dOmoj+oVFCc0D72rVr1CXh7c+cOZMG
IVEOTk5OYgSSfjVgwAAYGXjF8AHgAlGRwm2gc/SPYU6aNAnHUfKonSVLlsD1
0vogvnQiE2s4b7Vq1cKRAwcO5Ggz+KgpHNmzZ8/3fwM/CsfFwKPpYi09Qqxd
uxbHFy9eLI7oekSCc1SSuZGlU6ypuFatWiWOQJc1pY36OFxcPUkpj3Phxan+
PY2NXjTQH7qSWZZaP4VXTEpKotM0B+W2b9+Or2CI6KPyRsUUJLrEWskYiNkH
1nS1ukWLFuG4dOEmnCnSL0gg08jJ77//Lo7AWOHI4cOH8X+zZs1kRURPoMLD
w8URhUOjmqaVZFc8REM6NBARGRkpzhE14uzsTOWDjjl27Fg6Ir0RrZb28+fP
pOAQFDqC2jf09bESjEysc3JjZ7TtzMxMEmtUoviWgiBd/PXXX3Rafog1NUvU
sjiiS6zpzIEDB9LHUijWaOTUJV+8eCE9Tm7MsGHDxJEbN26o1IOHelJTLtaX
L19WqRfYoY8ISVTqQUWpmMIg+Pv7Q9ZhouvWrYt6ITssneaq8IqIEWQZENA7
a2LwU3mjYgoSPWJd8ANrulrd+PHjVdqmYRc81KGQQ3HL9LoHvZK5YMECqX9O
JVm9enVp71M4NCozrSSjsslLiHxV/56jQr/q0aPH169fxUHkTaWOwaW/1Wpp
qaYQSvNrGlrRFGvUrIODg0o9eEIPHKVi3a1bN5X6RYBtGsDrQ2un0wpXrBH4
SyWpFIr1/fv3yeJV+jf0zAtlm56eTmciylapx530pKZcrNHraYDryZMn+Lhh
wwaVeqBSnPDly5fu3btTdYwaNWr+/PnwHygiMEKsAwMDdXka1LDFC7ws1kUT
XWJdKANrulodCRxUD06m2dfsNRRoGTJz+/btHPXofeXKlWvVqkVf0Uh1+/bt
6eOlS5dUGrPHFQ6Nysr206dP+GhlZSVi3pzcl8KEU6T5KwI2gWyRdIVMrZYW
ZVunTh2V+lXiN2/emFRMJRFNsQYhISEq9fwceqFeKtbkZKKu9SdbuGJNw1Y0
Cxqkpqaq1NNCZKeVYLGmtzwggn00qFKlCr46evQonUnPvGCI9KSmXKzFpalU
KcaRPsKG269SP9WSRkPom8aJ9bNnz1Tqp/CaeabWguZKH1msiybKxboABtZ0
tTqICNk9ii6Rvq5JzgUA2SgKn8PDw6VyjHiWBqloCJp0+dy5c9KfKxwa1Sxb
6suHDh2isBfyXb9+fRyBRohzdNUIrcgkQrkc3Zb2wYMHNO2tbNmy7u7u0gF8
RqtY5+TOZKCXAqRiTd6Um5ub/mTT0tKo9vNs1aaLNTIjc3fp5R2hR9AFyox0
EjL8PbpHaW9FoKf6dyRYHBFvaT19+lTzW9yvSvKCHkJsKhytJxO6alOrWFNQ
b29vT2s1tGnTRvotvfUp5pkTmmKt8IqZmZm0OIDm+2g0BCS8Shbrokl+iLXR
A2v6Q4wbN2788ccf1N5gEhMTEw28V/NAL3DRBO+tW7fi/xMnTohvyab5+fnh
f1o2QfZsXeHQqGbZ0kxRcldQtrRm2pQpU6SJmy7WOeq+D5WhEFulYB2n0oMu
saaYhZCK9du3b6nkpbPxc9QPSaWPR/GRRlzv3r2rPwOmizX5lmJp8d27d6vU
0ZbUztNAq3iaI4Z9ZL2VGj/CT/15LuLQ4LB4cCxD1KxYWnbEiBF016LE8M/C
hQvhRdNHXbWpVaxxMrncSFCzP9IjtgULFogjAQEBNNdXKtbKr0jvo8HaS9cu
279/Pw7WqlVLPDtjsS6a5IdYGz2wpmQ8MCE+wcnJCaehJSu+S3MiXuBCg3d1
dcU/0mWIduzYgSOTJ0+miaOa67gqHBqVlS2uZWVlBQ9hzpw5MCzoWc7Ozj4+
PrIoySxiTcCeHzx4EPE1TouIiNB1WqlCl1gDeE2aYp2TO89WpX6nb+3atRC4
mTNnwt3CEelmHGSWUU1oObDb0AitGTBdrOnS8PRwIQrcVP+eupmT+9RJpZ44
OmnSJEg5Mubh4SHrrbRkh0r90vG0adO0rrVb9EFt6vdI6RUVuMr0MSYmhqaX
1KtXD2U4duxYW1tbfERnET/RWptaxRqsXr2aihFhCLw76VdnzpyhyoVvD4tB
WaW5cLIJPAqviPRpijsMCHIOE03PxOEAiOUCclisiyqmi7UZB9YUjgfStFtD
V9s2I/369VOpx7fRO2RvNtFwFnrE8ePH8Q9CVNlvFQ6NymQ3KCgIH2HtDfqV
QFOsFY5h0pibiBpKOVQLsHKaX6HptmnTRqV+wij7KjQ0VLyTSLRo0UI+tS8+
wdHRkb5FZekaNfr8+TNMOtw2PUcICpcQ8Ykjom2cPHmS5jWBunXr+vr6al4I
Pie9iU9aDOMfHBysKWqQMHLnVNrWDyn6wHChtFGAutZ3BSgx1b/fWk1ISOjR
owcN8VFnh0v28+fP/ztBUpsWFhbkzFOQLhvozlFbM3p2pjX6QMpirVFcCH4U
zA7+l9Wa8iuioaIBi8qFTPfu3Vt2+8obFVOQmC7WKvMNrOkaz7l48aJ0isWt
W7dUhbr5CN0jWWCxIAmBW6B3b1u3bq3SFpMqHBqVye6jR49U6uVT5s2bhy5z
4sQJVNyDBw9kuyorF2utY5jIgHS9F2SpV69eOC0kJERhyZR40Kr1THHUs3Hw
t2/fULzR0dF61oVD28A50pn8WtORXUXzCJGZmSnNqrRt4HxUtCyOk4HfxsfH
i3W6QFZWlua9oy/D1KekpOhJqiiD0pNO2tQKSlKzhPErlCHcKl2vTmjWJhqP
1tUXcVDPKpH4FhUhXYFW1wLdyq+IayHB2NhYXY1ZYaNiChLTxdqMA2s5OsZz
8BFeJYLBPXv2LFu2jOKCQtyEgl7gIs6ePSv7ltYVUalX3dfasJUMjWrKrpeX
l0oDlIx0/RnlYq11DJOq+Pfff0fEhP9pAMHBwUG/fDDFAt6RjWGKNfRiPkRW
HCncgTWt44GHDh0SK5HSJQp9DUx6u7ZixYqa4QnNQAOzZ8/W9fM8h0bpHWrx
aDs1NRUBu7W19dWrVxGt3717NzAwcNGiRTTbRBS47FcCeEeoU2mUlKNtDPP1
69dwlsT4nkr9PnjxDZoYKSzWDFPc+fLli/SBS05hD6zl6BgPTE5Ofvz4Mb4q
CuMwyENGRoauLUW+f/+uZC85PUOjSF+6KwrNX5JOOydInadOnar1VwLUDq6l
NZ+aY5hoD8+fP8fxQnw/jjE7LNYMU2rh7l9gdO7cWaXt1Z6lS5eq/r0SO8No
5c6dOytXrtQ1z5xhmBIMi3WBMXv2bJV68d5Lly7FxcUh5k2IT9i8eXPZsmWt
rKzwf2FnkGEYhimisFgXGFlZWfROtwwHBwfeXpZhGIbRAw+sFTAxMTEnT55E
QL127drjx4/fvXu3KDy+ZxiGYRiGYRiGYRiGYRiGYRiGYRiGYRiGYRiGYRgm
R71oTEBAwM6dO0+fPi1bm50pvnC1MgzDlBiSk5NpUzkiz23LCphr166tX79e
uukDo4QiXq1paWmbNm3S3IaAYRiG0crUqVNhzF1dXW/fvu3v7x8WFlbYOfoX
9erV4xXtjKCIV6uPj49KveG1nm3dGIZhGEHdunVhNqOjows3G5BjS0tLzY3n
li5d2r59eyhOoeSq+FJEqvXz5882NjZNmzaVHUfGOnXq5OHhUSi5YhiGKV5k
Z2fTlmSFvsXJrFmzkA3pNm2M0RSdan3//j3tNli42WAYhinWwJjTM01du60Z
xI8fP/JUh1+/fqWlpWmuU2ecWGdlZSkcR1WStxKDeasVZGRkoOLyvKhmCRsn
1mgeaCRmzBvDMEwxBfaw+W/NabAU2KtxcnLKUW/namNj065dO9lP9u3bZ21t
LdVTb2/vqlWrRkZGJiYmDh48uHLlygjoHBwcrly5onnFJ0+e9O7d29LSEpez
sLAYM2YMTRvbvXs3Lk1bwyN9ew0aNmwYER4hTerNmzdjx47FcXru2aJFixUr
VshU26C8lRj0VGuO+pkCSvjChQuyn9SpU6d27dqiADMzM21tbd3d3SGCqG4U
L5JCYY4fP15zn1z8as2aNY0aNRK72B87dgw//P79e5MmTZCsNCcyxo0bJ0sN
v+3WrRs1hmrVqvXt21dW9QbljWEYpgTQo0ePVq1akS1t3bq1o6Ojm5sbjick
JOBIjRo1ZOfDJuP48uXLxRHa+MbLywvWsmzZsn369IF9pgRDQ0Olvz137hwN
zLZv337kyJEQTfxPjzJPnDiBS8My44idnZ3jvyFxl+rLrVu36GSI9ejRo+EA
QPrpFqS7qCvPWwlDV7UCKBoOHjp0SHo+om86WcTFHz9+pJpC8eKfevXqubi4
VKxYEf9DSaW/hSLDqSNhHTJkSP/+/am+/Pz8fvz40bVr15YtW1Lismqlmerw
K0RSP3/+hATjIC7k7OyMS9M5aDZHjhwRpynPG8MwTIlB63ipoWINYF1hRXPU
YRpiXjoiTsvIyEBqOHjy5Elx8OrVq66uruKjrmHwAQMGSMUacVz9+vVxZNWq
VWLwMyUlBbpP0mxo3kokuobBDRJrACfH19eXyjkqKqp8+fI4KN0Ub/PmzTjS
oUOHT58+0ZG0tLTJkyf7+/vTR13D4IiXZWKNmBpHGjRoEBcXJw5u2bIFBxFo
Uw0alDeGYZgSg1nEGqHc169fxcHY2FiKj8SRHTt25CmRCsX68OHDFKbJTrt2
7RpdVOREYd5KJOYS66CgIOmZFMyiNukjnB+Ko/VIpEKxRlhtZ2eHIwEBAbIz
O3XqpJK8u6cwbwzDMCUJs4i1bP93YfzFqlmTJk3Cx7179+rJiUKxnjBhguYV
c9TCQYPh4mUlhXkrkZhFrBGrypJdu3Ytji9evJg+Jicnq9TTDPTkRKFYJyUl
0WmaMw+3b9+Or9zd3Q3KG8MwTEkiP8QawOriOAw1fXRycsJHMTSqFYVi3a1b
N9W/H2ELaCRczB9TmLcSST6JNWoHx1FT9PHGjRv42KpVKz05USjWYWFhslFx
gZ+fH74S0x0V5o1hZPArA0yxpmDEunXr1vh4+fJlPTlRKNaOjo66dB+mHl+F
hIQYlLcSScGIdUBAAD62bdtWT04UinVgYKAu3UfV46vOnTsblDemNPMrl+zs
7NTU1Hv37gUHB6MhwW6EhoZGRkZ+/vwZX9E5hZ1ZhlGEVquO5o0jFSpUkJ1s
tFgPHjwYHw8ePKgnJwrFeujQofi4b98+2WnodDQMDk/DoLyVSHSJNa1Bun37
dulBo8X6yZMn+Fi9enU9OVEo1s+ePVOp38DSTIEuCjfDoLwxpRAS358/f966
dcvLy8vJyQlGDG0PTiD+//33311cXLp06dKgQYMyZcrY2trCmKDZJMQnkHAX
dvYZRh9arfrff/9NBz98+CAO4gQ0dePEeuHChfg4ZMgQPTmZP3++Stt+EzKx
xtXxsW/fvrLTaBy1WrVqP378MChvJRJdYr169WocnD17tvTgzZs3jRPr9PR0
+uHTp0915SQtLU2WOCET68zMTHqzD0GQLAV68LFnzx6D8saUKiiITk5OXrJk
CVS4UaNGixcvDgoKevv2rdbzYSVevnx57NixMWPGWFpatm/f/ujRo1+/fuVY
mymy6LLqzZo1U6lfj6KP379/p+jYOLGOjo6m3wYHB4tz7t+/36lTJ/Fx69at
OKFPnz6ypGRi/erVq3LlyuGIj4+POAddkobHhUlXnrcSia5qPX/+PLk07969
oyM3btygl5SNEGswYsQIqjXxW/wD30yMtMP0UX3dvXtXmpTmq1vTp0/HETQJ
6dpl+/fvx8FatWqJKf0s1owUkumUlJQJEyZYWFhMmzZNj+uoFcQm/v7+PXv2
rFGjxu7du2HrWK+ZIoguq04vvYL+/ftPmjSpatWq0DgPDw/jxDondwAW0RMS
hEXt0aOHbAQ1MjKSrtihQwf0uBkzZtBxmViDdevW0ZnoX/Cf4RvTS9zOzs7S
RcxYrDWrFR9pFzM7OzuIY9euXVXqnbloLTgjxDomJobe3kKykydPHjt2LOIa
1b8feQwaNIhGwnECZP3Zs2c52sQaHhe9vQVpRjqLFi3q3r27Sv2eXWBgoDiN
xZoRQFXRpOHnoxGiv4uX8Y0jPDzcycmpSZMmd+7c4YFxpqgBN7Js2bKIfX7+
/Cn7aseOHbTqIwkobCziYvy/Zs0acc6SJUtk8SwBcYcui4UyctTdCrpJK4+R
ag8cOFC2J9SmTZuQGTph5syZdJAeUsteqoUnLN2s2d7efuPGjbK3fpTnreSh
p1qTk5M7d+5M5Yai8PLyQrl17NgRZfLt2zc65/Pnz/hoZWUl+y3FuQicpQcT
EhLgetEgNrkB27dvl143IT6Bxj1U6mVmk5KScnIfUrdp00aaFGJqyLRodZDp
3r17v3z5UnqOQXljSipi8hg8OlgnWSMxhTNnzqBfICT58eMH6zVTpPiuRutX
6A7x8fFSXcvKypJqIv7PzMzU/CEiXGH5Zbx+/RqGWtdrzsgJ+l1KSor0ErrW
fEYk+Pz58/T0dF2ZNzRvJQk91ZqjljyUs6hKhCeyMsFHrTukoEg1X4Wmy0VF
RSUmJuqybwicX7x4IV2gBtWndZ8RpACPIjY2VuuFjMgbU8IgpY4Ij4BnuHTp
Uk2P1ETevHkD93XAgAE0ady8iTMMwzBMiYeU+t69e4h/T506lU9XgfPp7u7e
rVs31muGYRiGMQhS6mfPnkGpta6MZEYQsI8aNapXr17fvn1jvWYYhmEYJZBS
v3v3rkGDBporLeQHP378cHZ2njZtGj+/ZhiGYRglQKn/+9//Dhs2bNKkSQV2
0bS0tDp16vj5+SHQZr1mGIZhGD3Q0mS+vr729va6ZpzmE6Ghoba2tojo+X0u
hmEYhtEFDYB/+fKlcePGmpuoFgAjRoxYvHjx33//zQ+vGYZhGEYrNAB+6NAh
6ZqHhpKZmXnjxg2xd4BBJMQnVK5cOSUlhQfDGYZhGEYTCqu/fv3arl07o2eA
Ix6n9fH++OMP41IYOnToxo0bObhmGIZhGE1oTdFHjx5Vq1ZN6yo6+nn37t3w
4cPFaodGi/W1a9datmz55csXDq4ZhmEYRgqF1d++fVu/fr3YJlU5sbGx1tbW
0GhPT0/aU8BosUZMXalSpRcvXnBwzTAMwzBSINY/fvzIysrq27fv2bNnDf35
zZs3u3fv/vjx45zc1eONFmswcODAffv28RopDMMwDCMFsohINj093c7ODlGt
KUmZLtarVq1ChA7PgUfCGYZhGEYAsf7+/XtycjJ0VuvuLcoxXawR2vfv3//z
58///e9/WawZhmEYJkcyD/zJkyeVKlUyMTXTxTo4OLhLly6fPn3ix9YMwzAM
Q9CqZV++fLl7966NjY2JqZku1nfu3HF0dHz//j2CfRZrhmEYhsnJFeusrKzw
8HALCwsTUzNdrK9du9a5c+e3b98i2OelRxmGYRgmJ3cqeGZmZnR0NHTWiJes
pZgu1ufOnevbt28RFOtf/6aws8MwDMOUIoRYJycn29jYvHz50pTUTBfrtWvX
jh8/viiINYnyz58/UTI3btw4ffr0wYMHd+7cib/4PywsLCkpibb1ZO1mGIZh
8hXSIxJrJyen8+fPm5Ka6WL953/+XL9+fSGKNc24gxBv3759wIABVapUsbS0
bNeuHTIGL2L69On4O3To0A4dOtBXrq6uW7ZsiYuLK1LjAAzDMExJQkwwS01N
nT179pQpU0xJzUSxRqBqZWUVHBz8/v37gl8XBUXx999/+/r6du3atXLlyqNH
jz5z5kxiYqKen8DDOXfunIeHB7IN+T516tT379851mYYhmHMi9gZE8EsdKpm
zZrQbqNTM1Gsb9261aBBg5cvX378+LEgX92iQoDs4uoIos+ePQvNNSgF5PbC
hQtQ+dq1ax8/fpyGx/MptwzDMEwphBZFQTAbHR3dtGnTy5cvG/TzN2/eDBw4
cICaFi1aQKxtbGzo47BhwyBbypNyc3Nr3749MiDes85vySOZjo+Pd3Jyav5b
86tXr5qY4I0bN9q0aYMo+8WLFzwwzjAMw5gLWm40LS0NmrV48WJnZ2eDfg5V
UumgYsWK3759U5hOampquXLl6IcNGzZctmzZ48ePs9Xk08AyKfWZM2eqVKmy
fv16g/wKPSDNbdu2WVlZHTp0iPWaYRiGMQvSCeH379+3s7O7fv16wWdjzJgx
QqwFUG0vL6/IyEizqzYpNRKvVatWeHi4WdKUEhUVVa9evdmzZ/O6qQzDMIzp
iBVH3717Fx0dvWLFiqZNmxr60NZEHjx4ULly5V69ekE6tQbp9evXX7p0aUR4
xM+fP01XbaSAdObOnduyZcu3b9+a8UakfPz4sX379hMmTIBe82psDMMwjImI
jbcSExMRZnbr1m3BggUFdvUvX74ggkZkffToUT8/v717944bNw5hqVbVrlu3
7qJFix4+fPjjxw/jVJsmwK9evbpFixbQ03y6KeLz58/Qa3gFPOWMYRiGMRHx
AhfCzBcvXly6dMnGxsaIva2NAII7ePBguAe4XEBAwLVr127kcvz48YkTJzZo
0ECrateuXRsexb179yhuVajadKe+vr64wZSUlAK4wQ8fPsDBOHLkCG/6yTAM
w5gIBdeIBF+9ehUZGblv3z4rK6v8fngN8Zo1a1bz35rDPbh161ZEeMQzNU+e
PHn06BGE+Pbt2zdv3jx16tTkyZMRfWtV7Vq1aiF0xZl5qjYN+OMGq1WrdufO
nXy9NSmPHz9GYb58+ZLnmzEMwzCmQCHn169fEQnGxsY+fPhw06ZNkBjT32bS
BS43Y8aMJk2aXLx4EdIcExODUPedGvyTkJAAdXv69Gl4eLhQ7dOnT0+dOrVx
48ZaVdvW1hbSj9PEa18yZSSHBIF8QQ7yE+vWrevVqxfv+8kwDMOYCKQNwWlW
Vtbbt2+jo6MhkVu3brW2tt62bZvZ40GE8P369XN0dERMDTmGewCNzszM/Kbm
y5cvOAFuw+vXrxMTE2WqjRj87Nmz06dPb9asmVbVtrGx8fT0DAsLk6o2TXq/
ceNGjRo1kD5lAwniBmVvq+EnLVu2xGmyldJ9fHxw8ooVK4y4X+TE3t7e39+f
H14zDMMwJiIGw1NTU58/fw4tO3bsWKNGjVxdXaGb5rpKSEiInZ3dwIEDg4OD
hVJDQOEq0GRv/MX/379/11TtZ8+ekWrfuXMHQfS5c+egy81/a65VtatXrz5t
2jRcDg4AVBJ/+/Tps2fPHpETJF62bFmcmZycLA4+efKEfr5lyxZptn///Xcc
9PX1Ne6uT5061aFDB1pGlfWaYRiGMRp6qguVhIqlpKSQXl+5csXd3d3Kysrb
21vEpMYRHx/v5uaGoHX16tUIckmpEcgjnJe+30TZ0FTtjx8/alVtxNp+fn6z
Zs1CRKxVtRERT5w4ce/evZaWlriWNEsuLi444dChQ+LItm3b6FdOTk7i4Nev
XytUqABlRzaMu3d4QbhxmhHHYs0wDMOYAj28Jr1GfB0dHf3w4UMI64EDB7p2
7VqtWrVVq1YZOo8aaUKkhg8fbmFhMXLkSJpOFhkZGRcXh5haKLWmhNHwdZ6q
HREeIWLt8+fPz5kzp1WrVlpVe8KECbJL0HrmgwYNEkcg3+XKlatZs2aZMmXS
09PpYHBwME7DV4aX6P+xZMkST09PDq4ZhmEY0yF9pPFwhL0IfiGst2/fDgkJ
2bNnj6ura8WKFTt37rx169YHDx7gNF3pQFKDgoLmz59fW42Hh8e5c+fCwsIg
rFBYSO2HDx9o9DtP8dKj2m/evElKShKqff/+fYq1L1y4MG/ePEdHR6HUCKuv
XLkiSzk5OVklWRkVfxFBOzs7z5gxA8fFnqFwAPARHospBXv37t3GjRtnZmby
k2uGYRjGdIReI+yFpEINnz9//ujRI4ggJPvixYtLly7t379//fr1IWH29va9
e/ceNmwY5HjMmDGDBw+GlCMGR3zapk0bBNTbt2+/evXq9evXoVbQfQgrYvNP
nz5BcMXaJsozpl+1Y2JipLE2qTYtVoasysbACWQSXyF2zlHvxIH/N2/eDDdD
GonTnZr4ajZuFp4Abp+nhTMMwzBmgTQR+vL169f09HSE2AnxCVFRUeHh4RBB
iNq1a9cgwX5+frt27fLy8oIgTp8+3dPTc8GCBWvXrj106FBAQAAUMDQ0FCdD
OkmmX7169f79+4yMDOisWDvUuOwpVG14CMjD1q1b4VRoTWr9+vUQ4tmzZ+P/
5cuX43/8CrIOZ8PGxgaXQFI42K5dO5MKVA0SgatT8Lt1MwzDMCUVoYaIBCGF
aWlpkGzNd6mgxYiaIYghavBPWFgYDkLT79+/HxHxz1InsbGxycnJkGnoKdRf
ydC38kxKVZuyKlQbuX3x4sWDBw+WLFni6uqqNQXcC7S4Xr16OWoxtba2JiWl
uWfIP7wR/OPt7S39FdKfMWMGAnYE5osWLdLzOEDK6NGjt2zZghzygmYMwzCM
GREhttBBepcK0SskGFJIa45F5vL48WPIH2JwaHp8fDw0GhIPaUM0DZlGIqYE
1PrzqVW1cXWExosXL4ZQ6vphnTp1IMe3bt3C32HDhtHx3bt34+OGDRv69u2L
f3BH4idIGTLdtWtXf3//c+fO1apVa+jQoUoyOWvWLC8vLxQFP7ZmGIZhzI40
yhbrlnz69AnBMtQQ2p2ampqiBv8gpMVBaDqCcQgTTv7+/TtF0wUwEVqq2vTY
HflBZD1lyhRdP6H5Y+3bt8ffw4cP00G4Ivjo4OBQrly5+vXrS88/ffp0xYoV
xT4gfn5+spe1dQGfYe7cuSg63oqLYRiGySdkb0CTcCNe/qIBDkKgcQJCSLPs
a2l0bpENqCoC5FGjRuk6MywsTEwaT0hIEMfFNiKyFUrd3NwQbouP6enpOOfk
yZN5ZsnT03PZsmXwYXiOGcMwDJOviAU8syX8lCA9XvAaLYXmtH/69GnPnj39
+vXTdRrOsbW1heA2/6259DiElcT6/v370uOdOnWaOnWq9IiFhcW2bdvyzI+7
u/vGjRuRHxZrhmEYpiD5pY3CztT/ILFGJHv58uU6deroORM+RkZGhqaAZmVl
0SvYUhBxz58/X3rExsZm5cqVeebHwcHh7NmzLNYMwzAMIyCxTk9Pj46OLlu2
LFTbLMm2atVK9gS8atWqf/31l/5fQfSRh4jwCB4GZxiGYRgBBPG///3v58+f
ExMTO3fuLFYkMxFnZ+chQ4aIj1BhlUp16tQp/b8KCQlp2bJlQnwCTzBjGIZh
GAHtjJmZmZmcnDxv3jw9c8wMwsvLC6H0z58/6WNoaKiS9c1mzJgxadKkV69e
8atbDMMwDCOgfUm+fPny+vXr69evV6pUSbxvZQovXrwoU6YM1P/Dhw/R0dEO
Dg7SQFsryEPlypX9/f3hNmRlZbFYMwzDMIwgOzv727dv79+/h6q6uLisW7fO
LMkGBATUrl0bATUcgBEjRnz9+lX/+Tt37rSwsHB0dEQGXr58KdZwY8lmGIZh
GDHHLCE+4dy5c1ZWVmYJrglE1oiR8zwtMzMTYbV0s85OnTrt2LEjISGhKLzg
xjAMwzCFCz22zsrKSk1Nffr06ZAhQ3StO5p/TJ06VSbWgo4dO/7111/x8fGs
2gzDMEypRbqOWWxsbGhoaK1atcw1LVwJISEhVapU2bBhA+0ram1trVW127Vr
t3nzZuSQVZthGIYphVBwnZGRkZKSguB6z549VlZWz549K4BLI2SGUs+aNevE
iRPwEK5evRocHLxz5043N7fq1atrVW1HR0dvb++XL1+yajMMwzClB2lwDfV8
9OjRwoULEV/HxcXl63WTk5Pr1as3fvx4f39/xNd37969f//+vXv38M+tW7du
3LgBt2H48OE1atTQqtqtW7dev379ixcvWLUZhmGY0gAF11++fHn79m10dDQU
09PTE3ot3fjSvMATsLe3Hzdu3PXr1x8+fAjNTYhPSExMhLeA/x8/foyDYkPw
ffv2ubu70/rkmrRo0WLt2rXIKqs2wzAMU7KhaeGfP39OSUl59uzZnTt35s+f
b2VldfHiRbNfKzg42NraesaMGTdv3oQuJyQkvH//HpfOyMhIT0/H/8gDtBtu
w5MnTxDpC9U+cODAqFGj4EVoVe2mTZuuXr366dOnrNoMwzBMiUQMhqelpb16
9QqSB33ctm0b4lkPDw8oqVmukpWVhZi9evXq3t7eSB9ajGj648ePX79+/a8a
2lcUp+lRbUj8wYMHx4wZQ69ya9K4ceMVK1ZERkayajMMwzAlDFrQDFr56dMn
6DXi67t37yKy7tevX7Vq1fbs2QMlNTrxHz9+HD582MbGplevXr6+vojc4Q8k
JSWRUotNvcWOogpVG2mOHTu2Tp06WlW7QYMGy5Yti4iIYNVmGIZhSgxCrxFf
JycnR0VF3b9///r16zt27Gjbti2kdv369ThuUJpv377dsmWLnZ1dq1at8A9S
g9TCE4A/AK8ASq25uKgRqn3s2LHx48fb29trVe169eotWbIE5+NarNoMwzBM
cYckEvoIcUxNTX358mVEeAQEMSQkBJLt4uJSqVKljh07rlu37saNG1BbrYng
t7du3fL29u7WrVvFihV79+69devWa9eu4SBSQ5pIGefgKhRT68qMLtX+8OED
UkhISEBSmqo9YcKE+vXra1XtunXrLly4EB4IqzbDMAxTrKH4GuKYkZHx7t27
xMREhNgPHz6E1EKyL1265OXlNXjw4Oa/NS9btqylpaWDg0OXLl2gyF27dkX4
XKVKlTJlyjRt2nTgwIFLly69cOECZBoy+uDBAwTUUFjE2kgZ6eMqCrVSU7W/
fPkiU+2nT59KVfvEiROTJ09u0KCBVtWuXbv2vHnzcDKvQ84wDMMUU0gcIWTQ
xLS0tDdv3sTHx0Nqw8PD79y5g5gaqh0cHBwYGHj06NEtW7asXbsWCo6/mzdv
PnLkCI7jW5yDM3E+NBS/RQqvX79GakhTSKRxGROq/f37d6T2+fNnmWojn0K1
fXx8pkyZ0rhxY62qXbNmzdmzZ8MPYdVmGIZhih0ki6SJWVlZnz59gmQjyhZq
eP/+fQgx1DAsLOx6LvgfR3AcWolzcGZ0dDQ0FL9FCkiHAmrjlFoze5RD6KwS
1T5z5sy0adOaNGmiVbVtbGxmzpwJ7wI5ZNVmGIYpPfzSoLBzZDCkiT9+/ICE
CTVEgPzq1StEyhDEqKgoaOKTJ08eP36Mv/gfR3A8Li4uKSkJZ75//z49PR2/
RQriSbHZc6hVtXF1qXcB1YYXgSD63Llznp6ezZo106Xa06dPh+PBqs0wDFPy
EIr87du3yMjI8+fPb9u2bfXq1QsXLly6dOmGDRsOHDgQEhICmSt2EiCNsmmW
F9QQkfK7d+9iYmIQtF6+fBn3GxgYiMgUoTSO41ucgzNxvjSazr+7VqLaNJJP
qo1sQ7URTbdo0UKralevXn3KlCnXrl1DUsWuyooRmj4tFzXDMPkByQS0wNvb
28nJqXz58vXr13d1dUX4tnz5chxct27dokWLxo4d27lzZ0tLy1q1ao0aNcrX
1zczM7MY2SWSQigvFBlOSO/evWm7jdq1ayNKbdeuHVSvTp06ZcqUsba27t69
+7Jly4KDgyHW9MMCy6cu1f748aMu1fbz85s9e3arVq20qnbVqlUnTZp09epV
updiVGVFEKHFaPyPHz+Gj7d582Z0k1mzZk2YMGHatGlwbteuXXvo0CE0s5SU
FC7wwkXUF3pTcnLyo0ePwsLCAgICLly4gN599+7dqKgoVKWoJq4ppmiClgnx
QoDWqVMnKBRMOqJLiIKen6BVP3/+fM+ePZD1SpUqzZgxA6Go2QeHzQvJX1xc
3Lx582xtbRs1ajR37lz01oT4BKih7GR06levXqEcFi9e7ODggGKBBYY4Fvw9
kunIU7UjwiPECDluCrfWunVrrapdpUoVDw+PoKCgr1+/sogYBJUVyt/f3x+t
SFcJa1KtWjU3Nzf0F9oglQu8ABAdJz4+/tixY+PGjYMfW6FCBT3VZGdnB+8d
PjykHLXMXYMpOlBjvnTpUpMmTRBUnj171ogFvuCpLlmyBBKA7oD/i6AtEoMG
MJiWlpYQMkN3z4SNXbFiBYJTFxcXWkys4O9Rj2q/efMmKSlJqDbNmoNqX7x4
cf78+W3atNFqmqysrMaOHYv4AumI5dEK+KaKC1TyoaGh48ePt7CwUKjRWmnf
vv2uXbs+fPjAWpBPUGXFxMSsWbMGPrlx1VSuXLk///Mn/F74tFxTTCFC7Tk1
NXXAgAFoz4gUTEwwLS1twYIFsP979+5V/upxfiNCoYULF0Km0XkzMjKMTu3b
t2/bt2+nwYf09PTCUrc8VRtmShpr37x5E/4YSgAyUaZMGU27VLly5dGjR+Mc
Vm1NaNzJx8enZcuWmkVXv379/v37T58+3dvbe9++fYjgzp07d+rUqUOHDu3c
uRNO7MiRIzt27Fi+fHnZDytWrDh79mxUFpe2GaF+cfXqVScnJ60SXLNmzS5d
usBpR2QxY8YMVMHkyZNHjRqFSmzWrJnWuBthiJeX19u3b7mmmIKHmvS1a9eq
VasGGw5rb66UoRGtWrWCAwDtLvS2Tbf55MmTpk2bIksQMrMki1ujpbxv375d
uPeoXLVFrA2vbPHixR06dNCq2ogZR4wYgWiCnt8Veg0WLlS2AQEBskVpYNLR
nLZu3RoSEhIZGYniDVfz6NGjcAn0Ed+Chw8fnjhxYubMmbJV6VALc+bMQYvi
2M1EhExrztnAkWnTpsF9unv37j/1BcIjRK3R/yBSDaobLv2gQYPg20sTgbuF
mkLP4ppiCgxq1fv370eEGBwcbPb0EYZ4eHhAHxMTEwvR2osRfjjGBw8eNHv6
UDSkfPjw4aKgaDLVFm+o6VFtGCXEfZ06ddKq2oj7hg8f7ufnl5GRUQpVmwoz
ISHB1dVVWixo1YigUYBk6vEX5v3x48dPnz59piYqKuq5GvyDj/Q+oFTQIQpn
zpwZNmxYuXLlRLI1atRASF7aCtlciLkoAwcOlFaWnZ0dAufAwEBSZ+E40euZ
9IYmQe9sCh2nMx88eLBr1y4XFxdpmohuDhw4oLkRAMOYHWrYaIQ1a9Z8+fJl
/l1o/fr1CCJg7grr8S6ue+rUqapVq8KdzqerwCDDIPz1119FbdhfptoQXKj2
27dvX716panasGbLly/v0qWLVtVGFOnm5nb27FlIfylRbSpA3LI0tnJwcNi7
d6+IxWDbUYzR0dHQCDilycnJKSkpr1+/hmuEcn6jJjU1FcfhKSXE/7O4DRQc
ugBFoETgJ8OnLVu2rLgEyhnVVBpK2IxQZcFnhnspSrJx48YbN258+PChcKhQ
8ih/1EJsbCyqA5WCvpCcCz6iEuPj49E7Xrx4gZpF/f6j2+qfw611d3eXOlc9
e/YsmpNzmBIDvbkAx97W1hZGJr8vt2HDhiZNmhS8/aH+e/78ebjB6HT5ei14
I7Vr1y5Sj+kJqWqL1WC0qHbE/6l2UFDQihUrunXrJlUQ6TDg4MGDfXx86GF9
SbVUuKnv379PnjxZGkytWbOGxrRh9lFosPmod6gzShLliQJBwWZlZX3RIDMz
k97lf//+PeQbxY5+B9VAKEcRnL+/f48ePcS16tSpU1jTF4sd1LxR+MOGDRMF
aG1tvWrVqv89gIiIoLUHocIoebhS7969Q32lpaV9VpORC/5HOqimDx8+oE5R
s9BudBB44/+otrqmINm9evUSF0IUgCNcU0x+QG0bra5KlSpozAVz0YkTJ7q4
uNAiWgVzRbpNGFXc5r179wrgijDdMBEhISFFTa+JPFUbsQaMEizbgwcPSLWv
XLmycuVKJycnaTQhwMFBgwadPHkSxq2EqTYZ/759+4qbhX0OCwsjmYbIQmoR
UsHm4zQI8devX6HstKjdTzXZudBHHKfxDdq0RTyYEEvSkRDAra1UqRJd0cLC
4urVqyWpVPMDatKoC+nbcwMGDLhx4wZVFpo0GjaaNzlUKHmUv6gvVMoPCVRH
YpV+1Kx0ex3IvaipXbt2wXkTV8RHrinG7KBRoRG2bNnywIEDBXZRtH/0pp07
d9ISnQVwRVwFStS0adP8eE6tC8SkNWvWLOLzRY1QbajG6tWre/bsqTmZGSAA
h3k8duwYDZ4U5XvPEyoZ2Gdh/MuUKbNs2TIK0FAsiM5gunGnKDHYfLHqrLhx
PcgWt6ENUlHmSUlJtKc5hdhotOLSPj4+xbo88xUqUvhOtWvXphKDq7N+/Xqq
rGfPnsGnQnSM2iSNJnWWulK66oig3gH/CgYTHilqCs6VqKng4OCuXbuKXrBg
wYKi6aUzxRS0JTTXVatW9enTp4DbFfqOlZUVHNQCaNLZ6j22Fi5c+Pvvv+fr
hTShF0AKcgzBaKTWiewS1AcaRHYJ0YpUte/evQvVhoFat26ds7Oz1ndbIC6u
rq5HjhyBeZQaw8K+UaWIAdUOHToI409PqGGfEQKjTCDTMN0w4LSvmRH3KIpd
eEq4IqLshPgEKu2bN28KFUCRQr5ZrzX5lfsONdxjKisbG5uzZ89KKwvtEO2Z
Kku6RLCSwtTsHbRnH7oGagoeAs3tR2cX7X/RokWs14xZ+JW7yB5EM18nleli
1qxZEydOzG8ho9tEL65cuTL8aulXf/zxR9WqVa9duyY9iODF2tp6ypQp0oPI
oYODQ7Vq1aBcBl0dPjxNZitGM0UVqnZkZKRUtTds2ACXTzqfR6raffv2PXTo
EA0yFBfVRj5hkHv27El3gW5y5syZiPB/YjTYZ9wLKlfItOl3JMY3aCc4uAEo
anTMx48f379/v3///pSN8uXL37hxg/Vaihj9rlevHpVSgwYNgoKCaPSDdpmX
Vpb+0tNfldKRKFFTMCyoKQqx58+fL1o+OgXrNWM62eqlsBcvXjx+/PhCycC7
d+8sLCzi4uLyT8ioW+E2cY+IrGXfLlu2DB1q0qRJ0oODBw9WqdcDkS7ahj6I
g02aNDEiD9u3b3dxcRH7ZRiRQmGRp2qj7mSqDc/H29sb9ysetspAGL5//35E
jkVctZEr3DL8SRFTnzx5Esb/xYsXr169gn2mHVHNfgsiyoayQF9ev34N1+jp
06fQa+E21KhRg1dNkUJuVfv27al86tSpc/XqVTTL6OhoGv2gQW8lMo0Tjh07
tm7dujyLV1ZT6BHx8fH0SsXcuXNFgz9//jzrNWMKFG+ijdna2qJVF1Y2oKFe
Xl75F1yTyU1NTYWxxV/ZtzCA6E0oAXF1nAyZpl6G+EWcic6LIxB3I/IAq440
0YuLUXAtQ6tqiyd3pNrPnz+XqnZISMjGjRtdXV11LcIJ6dmzZw8qpQiq9q/c
9yPEyMC+fftwdzSampaWhtvPjx1RxdWFkwnXCD4tVAB6jYJ1dHSkLHXp0oWW
lTP71Ysd1CanTZsmPBl/f//Hjx+jstC60tPTIaZKKkuIL4wSildh/YqaQjf/
8OFDYmLiPw8vwiMmTpxI+bG0tCz6+yMwRRlqYJcuXXJwcFByPkIMa2treIzS
gwEBAdWrVx8+fLjR2bhz506jRo1gdvLJ+aTb3LZt2x9//KH1W3RtdCjhrpB8
29vb4+/ixYvFmfTUEt8al40ZM2YsWrSoOAbXMoxT7c2bN//+++/CC5LRvXt3
qDa9oFoUVJtuEOGzeJ96zpw5iKmF8Uc9iiee+Z0NUoH3798nxCfA30PAKGYd
r1mzpsDmZxZZyK3y9fUVbtWRI0eg1DExMW/evEEwQjvYKmlU5NhD2YcOHQpP
kvwxhY+zaVYM7Bii+KSkJOh1eHg4GjblqnXr1rQ5jplumilFUOtC+4GIrFix
QslPYKnoNVvx3hN8/lq1auHIw4cPjc4JugNMImy7MIBa52QqnwcihToyelC/
fv1Onjyp9Rx6c3bDhg30Ef/g49mzZ/G3WbNmdBCmUqWer2J0dwsNDW3VqhWs
bvENrmXoUm2aciNVbTQPUm0UwtatWwcOHGhlZaVVtRHO7Ny5kwZ4C1G1SSLd
3NwoVz169ECghOAISg3jTw21YDImVQE0QsTXT548OXDgAGWsfPnyKOHSPMT6
K3euPhkilXoOtlBqGCjxnEJJalTvaMOurq4uLi4G/VxE5egFpNfwrMLCwuzs
7ChjmzZtosflJt80U7ogHxKtsU2bNtLBXv2sWrVKpV6yiTaOnD17Nj7OnDnT
xMz06dOncePGgwYN8vDwmD9//rp163bv3n3ixAl/f/+bN2/COiUmJqL9i0dO
muhSdjJ0+G3FihV1LQAeFBSEu+jYsSN9hDNcqVIlXIt2pEKnw8HTp0/j/6lT
pxp9j3DXYVphbIvFtHCDyFO1cdfQFJhQodrXr1/ftm3b4MGDq1SpolW1O3Xq
hBNombsCVm3qGoGBgZQTCwuL4OBg5B83ImLqghRH0Yzh6b179y42NhYlKRyJ
3r17l7wWpRyS1+nTp1NptGvXDm4VworXr18bqtSUGuoXtQz3DC4lGrChQ2FS
vUbrffr06f79+ylvsCqou9LsWTHGQY2cVAwWVeGv0HRpXzkY0oiICPwDh9aU
zaoIhPZaF7TUBDF43bp1W7dujd70xx9/jB8/fs6cOatXr96xY8exY8cuXrwI
VxYZgzogDKE3XhGS3L9/v3r16rqujp5FE5jxE0gMcjJgwICcXM+E3j2n1zGu
XLliym06OjrC/YBql1TTqke1oTKk2i9evBCqffv2bdQX6m7IkCFVq1bVWuPt
27ffsmULgvSCUW3KP9p527ZtKQNLlixBiAR38dOnT6i7QjG2YjwchQmfE2IE
B1sMhoeEhJSY4RqDILcKLYqsR9myZS9cuAC3KiUlhUa/DX1OgfNRxajoDh06
0BKvaMCyN7zyHPGjxk8jIWi3aO1iZfIxY8aUZs+KMQ5qllFRUdApg34IK0Hh
RosWLfDPpUuXTM/MyZMndT3NNBEEszVr1rSzs4PN15MBiAVO9vHxgRzjH8T1
ObkPr9HR0Futra3hGKPETLnN0aNHQ3fy7+l80cE41d65c+fQoUOly0BJadOm
zaZNm2JiYvJVtSmGhddHF4Vn+OjRI5hcGF5UnEJNRHCHFtVbMWfOnMkzTaHX
kCEUIHru0qVLKZNOTk7kAZbsRiVDFMjYsWOpHMaNG4dIVrhVhhYIJYgfQqMd
HBz+/M+f/7zzFZ+A0n6dF7TkO1o4XZFakfCsQkNDaRUCOBXwJUqnZ8UYh3iS
e+fOHYTGhv4cnYJ6B4TMLPlBvNmwYUNEr7DVrq6u3bt3h2VGCG9ra6vr9R9D
6devn54MHD9+HOeMGDFi3rx5+AcdCgdJo+HMXL9+XaXeTEHzh4GBge3atTt9
+rSS25w7dy4MbEZGRunprZqqTas/aVXte/fu3bp1C97gnj17hg0bRhP/NHF0
dNywYQNNrzWvagtzLVYgWbduHbIHa4w8K3/giGZsUOPs37+/wuyhTZKaoNxQ
YjY2NpQCvB1kr5Q0KoLCakghhdVQQ/TT2NhYtCvj/OFfudN43r59a1zsIN72
knlWz549EzZz/PjxJWCWKVNgUK/PysqCy1e/fn1Df05xKGjbti3SMT0/wcHB
rVu3hmSHhITAVt/8NzgSFBR07ty5Y8eOIebduHHjihUrIHyTJ0+GvA4YMKBn
z55QzCZNmsDx0NXLcKaeDND8MSsrq8aNGyMSF/0IsTDdpkodd0t/8uHDh+HD
h+Nk2Ipt27YpuU1k29PTE5ZWvEii5LF7yejU+lU7JSUFIYxUtaE+qPe9e/e6
u7sLSZKB8AfmEZ6VuVT7l3o1P5hWSh+VGxERgUjN0GeX0m0dlKDVD9SVQ5Qe
hWxwVxYsWEApTJo0qVRJgFBDWidBpR5hpgFw8ajaiDRhzVC2SMSg6hOsWrVK
+t698Kzi4uLgSNDCvPTYsfS464yJiC6PyLpatWoG/fbSpUsq9ZNEiCP+2blz
p+n5OX/+fJcuXeA53L9/n/aew99Hjx7Bbj948AAH70m4e/fuHTWw57fUaIr7
lStX/Pz8IO7I3urVq2E8//zPn/rz0K1bN+px0vVhpK/ZyhYug8+waNEilKGF
hYVCsaZ1EqpUqQIHCQ6As7MzQrCJEyfC5K5fvx5+yMmTJwMCAnBHYjRPrLak
fE5dETcCWlWb1sSGy0SqTYstowEI1d63b9/IkSPFMpIymv/WfM2aNRBZU1Rb
hNWoVkp2ypQpCNxgWpUPgBNTp04VeYOJ3r59+yG9xMTEKM8nPVKH/4AWgpKh
uBJ+JkSh9EgAWTA0m7p161I5w9VHy0EhGO20UJqIhaGtou46duzYqVOnznkB
8wUDglYqfd1DDIanpqbCkRAL0OE0fnLNKORX7lRw2Dd0dvyv8IdoyWQwoafQ
VpX64XVycrLsNIMGh8H+/fvRkiMjI9FNaDNZ/IUtSkhIiI+Px8HY2NiXahB8
odlHRUUh51A0sS+8TNxJ3yHoJNzz5s3r3bu3/jwgiKOuBM9BHETfp3F4V1dX
XT9ULtaQGyPcddhhe3t7R0fHHj16DB482MPDA6IPbaI5dfCdcI8oBBQUgn0j
JswXlnlXrtrSWPvAgQOjR48W7+nIaNq06cqVK9EqjFBtYf8bNmxIqQUFBSUl
JUEWDTWtaLfSd9PgkpnRMlM+4T/Ai0D5oGHTVXx9fUuPBFBYHRwcTPeO3gGz
QE8rjH7xPDv3zREkRcna2dmFhITAeUaAcE8vsD9iYpt4HvErd7LiPzPD4xPE
C3dOTk6lYeIKYxaEWEMTa9SoodyxpzWCpk+fTh+HDx+Oj4MGDRInGDE4nKNe
bsXT0xMmjpbZh8FEpxObycJaIsZEg8e3MOPv3r2DmXrz5g36JlxWdBASd9jV
hH/UPUGIO5SdFn3atWsXPPA8s0E75ckOUkHp6f7KxbpVq1ZGiLWhID+1a9d2
cHCAqz9w4MCxY8eieCFhf/3115EjR+CKwMuCbUGloxhpHo6h+q7kZpUjVW1a
bDnPWPvmzZuHDx/GrYnNlWQ0atRo+fLl8GGUqzbZf2GoGzdujItSWG2EXYWR
l77g4OXlZUIJac8qOgVKxtvbmy6BvllKJOBX7sNlMQaybNkyOKumhNU5khdk
0NIoWYg1DfdF/LNnV0SkDuAc0n5eaC2yhRTEGCYsFc6hVx7KlSuHM0vbHIP8
AAJhY2MDF70ArrV+/XpLS0vlEai5EE9nIHNw886dO6fkVwhU0dKkO1lALmkl
STEn3IjBYdCpUycEttBfWmxZbPgr3U+WtpQFsORf1XzJRSruQIg7mXp6zwWW
E+cYUVZ5ovBOYQoqV66MGH/Dhg1r165dunQpNHTChAnDhg2jOXWIDhDToe1p
3Qgj/6AJ881/a965c+f+/fsj/J8xYwaUbvPmzQcPHkTbQPzy4MEDKBeqm9a3
zD9xN0K14YGMGzdODIfKaNCgAYoazkmeqk1j4Hv27KEfIk2p/Vd+CwKRFCGb
82AKUgmgtzNU6lXr0QVKgwSI2xcrgQcGBsKUmXj7JNaIBWgXAABX8OHDhzAg
CARoxE8XqAg0UVowR+ot/JLMMEcEgZ5OKV+4cMHodsUIaK5RpUqVCuBatEeA
WR77GsSv3NngMICQDw8PDyW/okVCTpw4IT2IoBUH69WrJztZuVhDW6EX8F1R
8uKFCyl61IGsui5xp9eF4MQixIYUXr58WWH5GITCO4UHbmtrC+27cuUKDOyt
W7f0PHYPCwujOXVHjx5FCcMFQmg2d+7cSZMmac6p07Xydj5RtmxZeBS4dIcO
HVxcXNzd3adOnbpkyRKEePv27Ttz5gxuEEoaFRVF9lO6WbBCcdcTa3/48AGG
MSFBi2ofO3YMzo/YdEmGvb093Eh4HWLBZ6lVF2PgYtbu/v37Kf+mPAiG2yMy
gHjK6LVqZQgJQJeJiYmpX78+XQIZLg0j4aSqcB1p7AKtEXoKkaV3ok0X67t3
71J51qlTB82YtuuCJcnSDQ3KiXVNZcnCKCEFyD3tLwBgdUvJMIguUCyw/CYm
olys4RqZGKwVolhnqzepQTDr7+9ftWpV6fZSuqD9WzWP4yCKQnZQuVifPHmy
a9eucXFxCIcNMjX6jTxBb08kJiZCUKZNm6YwZYNQeKfop/369QsJCYFeQGWe
qfm/x+7mmFPn6+sLwUJAh6B41apV8+fPnzJlyqhRowYNGuTs7AxtbdasGYIF
KysrhUvQmAVcq1q1ag0bNoR30bt3bzc3N7gcCxcuXL9+PbJ66tQphEW4LxQF
PSDWnCdPnhi5YeJ9bT2xNvzJiRMnIqbWmh9YYJQMTpaq9i/1PHA0lU6dOtFp
KFKjx8AFuESfPn3EpWvUqAGLbVxSMqhtw3uB3yLiNbSuErzkjoAcFVQ03TUa
FZqBEVMLNJMlsYarLJoKwmEUMi2v9FMvwv+UJSsiIxhbmp2rUs+BKV7DIMgq
ytzQgTKtwEZ169aNXtuBZejbty+sn/QE9Ds4YDAXsh8iFrC2tia5hOIgXhBP
wezVwFEXGz0jdkDi+Aj7IKb2tWrVau/evdI0ly5dijQvXLggPYh6RNUjcZLF
3bt3I3HKME6ma4lnwQVAtnrmA+IU3AtCZoUj4cpRLtYwjyhYGGrp3AyzILoJ
nPCAgABLS0utzoaJKLlTqv0dO3ZAVmBdxSoKssfups+p0xR30vebGly9evX8
+fPQNXSBrVu3rlmzBgKKFjhmzJjBgwdDYlAvLVq0qFu3LtpnQYq7Sj1hHv3O
0dGxZ8+eQ4YMQbyMSETMqUPPgirhNlEgKCsUIK1DTm9+id1DoLbwAydPnkxr
7mliZ2c3d+5cekMZ7YQmAtFTRVoZ0pQxcAFMPb03QbRs2dIsj2PEUDAaj6en
JyUO56fEx2uiUx86dIjuGn646WMgObliDaWglZFU6iVx0B8p5TwHgvRcmrwL
GFvxViB8V9O9i4KBwh8US61ataiBafVJlICKc3d3V6nfX0P4MHr06MaNG6ty
914Rp6HMVWrPVvZzWAAcX758eY7aDUaIh95E5emopm3btmK2M716s2LFigoV
KsDyw4yIkxEmiDTHjx+PI2hL0gvBINCZpBcwkkicFmuC0aBrKdxQwyxQy0SD
gblD5nF18zYbhWINQbG1tYXu0PNQs9sZ6ibwlmHJu3TpAmEyV8rIbYIaGPZl
y5bhH9m7XVL8/f0hGVBY+CQ4jR6163rsbsqcOvIkpeIO94DEHe6rHnEnfdcj
7sHBwRcvXvTx8Tlw4ABqdt26dYsXL4ZMjBs37s///Oni4oLidXBwgMiiVdMr
pQUGGhs6UbNmzTp06AAjMGjQoBEjRkDiZ86ciUyijy9ZsgQeCO2kpknNmjVx
I7hB8c5O06ZN4TiR92h6v0CycHjE5QYMGGCWvkaahYYBX4tSxs2KPOepLMWU
7Nz3ocQCbps2bULXMN16CLEW8S+JNa5llpTRqdFVKRiEPNH0TrEdWNGEhgtQ
4DA4orPs2rUL9soIyYanrVJPI0GPEAe3bNmCg4hbYe7oiBKxJvQMg4v9xBFW
i/F2euWnXLly4lpKxJoorGHwnH975jDkcP7NG1wrEWvkARYeFgYSA1XKjxE8
qU9y8OBBOAbmCq7pYb0UXeuuIA/Nf2sOdRO3KR3plY6kmT6njqbVkbgD/eIe
ExOjX9wpeH+gRr+4a+o7gl+4KKdPn0ZHQAvfsGEDXBo0eA8PD9mcOvTKAp5T
pwuRDeg+ysqMa82JF6KJ+fPnm56meGwtYsw//vjj6tWrKHx61YhcMtQdPDTU
I61gIGY1P378GHWNGqcnMmgAz9XArUWTIMcPLQTtJE4NehBaDoAbI5twhQaG
ZkbjRW9zQSNE3tDgqVmifaapgS9KjZaeAosmjeaN20Frp5aPXkDdQTbngcZA
kJp4mR1BmZjuYmJ5ImXknHbcU5lPrH/lPmRBoYlXQqBc+/fvR+aPFW2OHj2K
BrZx40ZpT7GysoIaGiTZKEPagCwgIED2FT17EgGvGcW6Z8+esie8tEo2LSid
U3zEWnR29ModO3ZAyPTEhoaiRKyhnnASYEzEGLjZxVrqk8A09ejRAw65eS+R
J2gYLVu2hJHUnLCq36HVheniDoMpxB3mVIg7jK0Qd4B6+WdkPv6fkXmpuMOe
k7gDlGqej92ViHtYWFhgYCDsJMwXHCFvb28vL685c+ZMnDjR3d0d0Sjqrm3b
trTEXH7PqbO0tMRdm26lpaC1Sy8BVTUxwezcV42EuJQGyuQijiDKMMsDCyHW
tPiwSi3WaP9mEWtaMRI9C+EJJS5mRxRf0BNh3GBelBQOjIlKLaya1bR9+3Z8
hW5OH80o1poahNgQx2fMmEEfi4VY5+R2dphuFCOkBG65m5ubiaZJ+eAwjD/c
M1hmWH7TZ/LoQvgkkCQIzaVLl6pUqWLK7tuGgpAElv/EiRPQOJqwavQTn5xC
FXfERELc0UeEuCOeEuL+v8fu8f977C4Vd4RseYq7rsfuUnEXq9Hin8uXL9Mi
tHv27Nm0adPKlSvFIrQDBw6UiruhSz1XrVoV2caNm7dNwvEQlzD9mVd27tvW
58+fN93wFl/g4xk6N1VXeaIvoEkLt8q8Yk1zzMQiNvRyTbEGBnzVqlWwCUps
Gk3ba/5bc82v/Pz8VOrtTeljvoo11FYl2dWiuIg1NSGYaIgIjOr169ebNm0q
ffhuBAoHh2H8GzVqhNuHxYarQPMt82muBY1BQXegJpAJmPRatWop3xXUFHDR
Zs2aeXp60tNqsW1fAVyaMJe4y/T9mxpNcZc9dpeKu+yx+7/EXeGcOsXiTmud
EWjVISEhPj4+qPchQ4agOsqVK5enFapevTqcCkiA8sX98gTFIp2gbvpr10Ks
T548SWki3qygprwa3GnZsmXLSDDJNBdVfH19Saz164WS57No0mic4gV5MQyu
ZIKZ/ktnq9++QRfo3r07Jb506dIFahYuXLigCDN//nwI34QJE6RljtY1aNAg
dEz0boVxFm0Q36pVK82vLly4gK86d+5MH/NVrKlyhw0bRh+Li1jnSIJrWE5Y
J8QpNjY2ssntZgeX69ixIwJ52Fh6QTJfp7D++ve6BLDzo0aNglsLQcmPywlw
xT59+ri6utJtol2Z+B5oAaDflJlX3I2bU0firjmnTqbsUO2jR4/OmzcPVaBr
9y5NhJwhHodvQKttm6tgxfY3wMXFxXSfLTt3Psa+ffso2aFDh8IkXrt2Tfgq
mhMFNQlTA68mNDQ0JBckEpzL1VyuXLlyWU2QGlwrICDAX8KlS5cuqoH5PZ8L
4ibo6blczqo5o+a0Gh81p9TA8Tih5vjx47Inp0eOHDl8+DDCXhioHTt2CNXD
tygEXS+SUOtF40nMC3iMaEvorWLqGrz6W7duoWn987xe/bBeP2jGunp3du5+
XmKfdJTw/Vz0r2Va6KAQUIOUbSjj6NGjUde0XIzylfNpJnzVqlU1v6JoV2zK
gP6uUm+jJjvNLGJNq97hL32kmQ/bt2+XnlM0xVoqZDCAiFzQR6DXmzdvzqcr
onLbtWvXv39/WAlUH+2Skx9Pq6Vkq1efhjTA8iNkQ+QFtxC9RswJNDtQIsiE
k5MTzGCB3WbBk0/irmRkXjqhjqbSIbiG24wQoHXr1oZGkRUrVnR0dHRzc6OP
tN+WGSNreipH2NnZwSExPU0h1hs2bKCUce+QAJhWGFgafBCTA80IGfDCUhla
8B8uxIgRI+iud+3apUusqR2ipZlrp139rF+/XteAsBBrsfI86kXM7ivKIJNw
XOGVWVhYjBkzBq4X/Lp76lWP4DzT1uFKYhB0XuqV+K3sK9pECZ2XPqJVUxFJ
uwnqFy6u6t9ijXqnMzWnDZNYo0fLTC69LAbfjz6uXr0aH2fPni09R7zCL012
/vz5KnM8vTKFX7n7AiCWiYmJgb8E5xYtCvVi9reSkTgsFXoZuhsiIFoEowC2
9vuVu6EeXF80sCdPnqA6EIbY29ujyZn9criEg4ND3759EaHgNo3YY7GkYrq4
C2WHiYALhPhu1apV/fr1k26coRWYa/RTzR1A8EPUFDztZcuWLVmyhN6xglVB
I6Fn1qbfNayTcB7wj6axMg4h1pMnT6bEvb29YVdfvHgRGxsbr0GcMmj6d6wy
YhTw0qzQgv/wE2imEFi4cCG9s6xVrGn2+OXLlxHvU5ivC0T9CPD379//53/+
pJSrVasGBYE9xFcILXX9EMleuHABwSYCAfHenGZlQazhUpYtWxYp29ra4kZg
GWRT6IsaNOMU+UR3gEbDU0LJw6ah6nEcxY6bUr5zyvTp01XqmXXStctQ4Cr1
IIZ0X4ZmzZqp1FuO0kfU4ODBg6lSpGKNcqanWnDUZdcSr26NGzdOuNy7d+9W
qaN7IW003wMVDfmjI9Am8VaIVAHpBUmEYEruNP/Izn11EVWD7gCXD36Us7Nz
/fr1IWpmuQRMKwq5SpUqsIdIMzIyMiHhn/3sCmxk+Jdke1lcGu0N2ZgzZ46l
peXOnTvNGPCia+M2EeOg0hGd0bZ9RX8AvGgiFXGaXwEx2rdv3/jx46UrjWgF
sgifc+DAgTDm0GKE27ITqlevPnz4cFjjw4cPHz9+nAZgEV/Tt3C00CNM968Q
HdAbKwS6vLkKJzt3NrjYPvvSpUto2zA7iHfS9ZJmCJ8U8DHf+PBvcHeQCfgA
x9Qv7YIhQ4bommAmIhGcAOkRMyG1AklCshAj2q5IpR4DgWcVHR2Nr4xbG1xk
g55Zw7RSyl26dCEDiDZGr60VTWhEC20ATgU9JqBliJBzHMfN0ot1CvsIqoD6
AqR57Nix6JX0LAPiGBgYKD1TVG7//v0nTZoEeYWz7eHhIRNrMGjQIHLF4bJC
SZ89e0bHSaxpHKNGjRr4tmfPnpSmdLUNCB8tUIyMwZfo2rWrSr2+HP1QKtbQ
LPp5hw4d0ELEfPICRgSeGRkZpNcIgcPCwpYuXYrbhEuD5mp04ugsMIMoCpQD
HNdbt25BKCFhNDOhIHfgpZ6LFkh6jcJHZg4ePNj8t+YofziNJqYP57N3796o
+h07dsATgFLTtpV0myVsADz/kAXaMJLwfiG43bp1y3NuGDzkHj16oNPBAbt6
9Spigb/++kusXCSoWbMmOu/p06eRMmIuuFX31Rup4+/o0aPpHFSiWVbDoLE7
AobFjK09O3cRQlp1DSEbIjuaAULvKcv4uzjwPS/Qf6GJMPtC+Jo2bYoe/bdu
scZPIDf4CU1+0AVaWlxcHEyfmLRPYg17SEqt64dIFmaTdgykbGiKNc0GP3r0
KKU8ZswY/BAN7G/1cuJ6hpUKHRQgih23Ro4TSpJkWky6M6jR4ueQafF2BmQa
NlOsESoFHVCcBvsMFaYdUdesWSM9DVIiHGxINtwqOi6eWUN9aPExlXrGoK+v
r+xCqNnOnTvTCehKXl5euK+OHTvC20dwJz1z06ZNNDACPD09DbpxMyLVa7Rq
eJgIYaA48NVhvhAq9uvXD+G2LPP6QQvfuHEjnChYS29v79DQ0HvqJSKTkpJQ
74UiYdT2cGlkANVKG2iiDcyePRtuibOzM0y3oVlC0cHaww6jlNDNg4KCoPv/
OCQJ/3NISt6javMiGwlH3Ify3Lx5MyKmPOeGVahQASHzqFGj1q1bd+HCBZox
Re95QaZpME2Kvb39nDlz/P39Uem4CiwzBE4sAIuOL2YCu7m5mb4oytq1a6WX
Nn3nAinZ6tkmYtctmBea4yT0QvmDhmKEWBQFnrDYtAXRhNZFUYRZQzcU8xh1
AZtAG1lSBKdS77oFDxzGHB1ZLOqiFVrjRax3pJkNmjMjUt6+fftb9dSs7KL9
aEy0nL9zZ4r+rV4m3cRs05S/2NhYzbKSgm9Ry9KXf2kZFs0z36p3a/oqGUiX
TjBDnmlDFj3XQg3CZxCJ01romqehEHAaHC2995fviEpBo3r//j0sGLQM8ooQ
++LFi4j6HRwcLCwshg4dunv3bri1mpNk8FuUbWBg4JIlS9q2bYuTEVZs3br1
2rVrMJ6IXNCnUEeGPukwL9lqvUYG0AaQGVQxLDYsHgz4rFmzGjduXL16dXhN
UG39089QuSEhIYj40KPhsCFSg1ggHZQMTb2QOiRFuT8WPDL5QL+AhUTQMWXK
FCVbfkP1fv/9d5T84cOH0ThJneEg0awnlD8sIU0jkdKoUaOlS5ci3MZPcCY9
d0MDEEOR5KZGRkbS82X4CSa+vQvvVFwdDjnav3nLkII1miILYJ1wO/SeUQlu
byR89CYmnDS694MHD5LwaT2funyekTuNlsOCiZ3X6tSpg7CFOjKtrqYVSplW
mNfa2bNzN94S+6OhBZpl1bWCQebpFYvWpWs2eInhV+7Su9RuaTNomC+EnzBx
CEaOHTsGRUOUDWNYvnx5xDW2trYNGzaEWtFQA/62a9du+PDhsCGQP8gZbCns
J6wxwpa36s3mxJOOwrpN8s/RU5AZxFNxcXHwn9F9aJYpYquRI0e2adOmXLly
6K0ItxEvo+qXLVs2b948iDI8EHQ6mF94L8OGDYM0yCQAYRp8eF1udulEFtzR
dm9eXl4o3jxn6lpbW3ft2hUlj64HJ4rU+fbt2/fUc54jwiNQ7DRzdefOnWK2
raBFixaIcK9fvy6aImocdYQWLt0/XcRrYpdk5NDodbGQPrw+kQcx09WM5Uma
JQb5/fz8zLJEdhFHeCnSF6IHDRqEqtTlpSgcVaA9UpOSkoQPQIuiiPc48oQa
uWYGstUPLNBcKdmmTZvSVummuIIFj667K5qUeLHOkTii9JwC7h+CREg27WcE
IwmjR+9gBgUFnTx58sCBA7CQ6DVHjhyBubhy5Qq+gkZD+BDsPHr06Jl6aySy
jfQ0rSj4ZtTlkRl0T/QaeOl0jwjNYNIRE+EuYKtxX8uXL586dSqc7REjRowd
OxbRHwI03DLiaJyDM3Gn6IZwaZACjZiJR1GFfpuFiCx8RpmglHbs2IFiFBvb
6QKOUPPfmsMRWr169ZkzZ4Q6w2lEBaFRobTRrqKjoyG7CQn/vHO9a9cuzX06
IGSbNm2ipvjw4UPhMaalpVFTFKHQL8nqzWLTYXd3d+O0D0nR2yiEWIHBjNAg
GO6LLgHvkd7lLy7Bmilkq2dWv3v3Dh2WFp5Fg4Gqmqh92eo5YOjC4g0+tCi0
B5gIU/qy8C5mzpxJyc6ZMyc/NhlkpJQGsSZEiE3TOSBAiLKhuc+fP0cHob2D
YSho1UcBLCrMKQU7MIywHuhB8PYphDF6TkI+IdwS2De4JbhH2mkxKioqIiIC
okBvdNISWLRMBP2DIzgO7cA5dKc0oErTQZGartc3SjYydYaBQgPw8fGBjUKs
mueLz7Vq1erbty/s2P79+2lARgxuQ2dRI0+fPqWXktCoUNpoVzDX+Gf37t11
6tSRpdamTRs4WrSlRXh4OD2Yhkynp6fLZFpknlZvhleJy9GuYRUqVMCvjLCo
4q0ilXr4Ha3L7EVNc+PFulLz5s1DVovLrosmkp07DR69FY4QlYC3t7ceR0Xz
Cb4mIrIeOHCgecUaKSO3YqQFBiQ1NVXPUABjOjAdK1euFJPDSzbSR4roBYiM
YApgHqHaaM/oJjDFYsHnZ+pde2BLY2JiELyghdP0SIgX2cYiJdMCIS7iHukV
D0gAvafwTL2WNS10SYhBVwrrcKc4Hz0RBlnIdBG803xCJtBwV4KDg9euXdu/
f/88X3yuXLlyhw4dPDw8EPwGBATIBrdR1Ch5NCrUAloUagQyivRRQWhU9HwZ
cXrNmjVlyXbq1OnAgQO0MAi9dAxx1yPTguzcNeTRhsVqY/DPDR0JR56l+Tl9
+nSe7w4bupgejQPghzQ9Hn/hPdLs4tJg/6XDIChe4ezRIjay26fGGRYWhlax
Xy+0MNqGDRuaNm1qRrEm1wIhHqXZrVu30jMGwhQkwg7TDA0482i6tCcjFErs
1kSgBeIgLA9sKQwjTb2QjjQW9t1oR3aPNHEUHR/9NDQ09PDhw7R3M4I+/MX/
Bw8eRJRNO1OTN4I7LSUyLVPnr7kvPo8bN05zTpcMBNc4Z/DgwcuWLTtx4gQN
xega3EbxIvogRwgtSryOSvvEbd26VfpEmOjevfuxY8f+J9MRBsg0kZ27bA4u
HRgYSEMBFStWxEeDFFBsWKmctm3bGlQF9AxUrIUyYsSIl+ple7+Wjtf5f0n2
xUAtizkGkFrZwIIYPRs7dqyhlaJSP7M2Uawpq7CW4l37I0eOlJ4xEKbgkQ1v
0jub0jUhCZrYT3G0eHmwuJiOX7krE8LOe3l5denSBQELXOs+ffpMmjRp3rx5
y5cvl00wQ2C4ZMkShIHiZgv7JvIFae0DKKCvr++CBQuoiPSbO0hqz549PT09
d+/eTS8FiMFtelyC8Pn58+f/DMgkJNDgNr3LSV4QGpWYagsg097e3rTImBRn
Z+dTp05RVA7Fh9xDYSFeSIRSULJ0g0wCxFjoqFGjDLKrYj0H5WhdMFlPPtG/
xKpoaIcoWJRevu6GU9QgdwWOXHx8POSPirFGjRqoO6mwiucFI0eONLRSgJOT
E9qkKWJNHqCYBdGuXTu0dh4DZwoAWWBl6KzIognlFlaaFkixtbWdNWvW1atX
9e/uDSGAkZw/fz585kaNGkGMcKR43bguZLUM6UQUvHHjRgTFSl58dnR0hMBt
2LDh4sWLsrlh4eHh9BCBlkJC2PL69WuoKqwuSg8WTAzIkL9HIou/CJBXr15t
aWkpvRbUql+/fmfOnKFommQaaUpl2iCPUSoBV65cwb3QhdAYlJtWmGK0B4NE
oX///sqrhuZBiQ0WJ0yYANcCxVjASwwVLr9yJ8OnpKRERUWJvaEnTpwo9Viy
c9+Zgnu5Zs0aOOHLdAPHGy7ozJkzYQEaNGgwd+7csLAw1KbRb0OTq4A2KRoS
HLm4uDg0MBoDLyWVxRQdirVCIefo3QcOHLCxsenbt29wcLChsQk9ERswYEC1
atV27tyJbljsSkOmziiQp0+fImCZPHmy5vJfmtSrVw+3v2jRIvwERUHqLJ0b
BnUWc8NgXcXgNj0uoQEZ8ZqqDFjLpUuXyl7vQjiJyPfcuXM0zY+m4kOmaY6f
ETItyoEWr8BFEQGJ5YXr1q2LkK0oWFdSn5UrV1LG4Cji9hPi/9k1vlQtPv9L
sk892pW/v78Y5EEXFk5LtmRXQVRoRHiErm1NaJcQOKVw0ho2bNi7d+/Q0FC4
AXD8jC5Yek7Uo0cPyhh8XXQE5ITeBSslNcUwpkP9HaqESLBz586mb68AyejZ
sydicyhU0TebshEShGaXLl1CfNGrVy+xjr0uqlat2q1btylTpmzfvh3GTd/g
dvz/BrfF3DCEz7Bg0vBZOhojdRuSkpLmzZtHE7MF+Dh06NALFy6QTCNOpzfm
hEybMnlAPA4Wm9CJNdAQwhe6GlKkFhQUJEpj7969FFaXwmFVETWj9iGCM2bM
oDKpUaMGfEKqqezct6ehuQkJCTQnNkobNEsWTRctGc4nhPXR/2/vTGCquNo/
LKKmwRgJqdFgMBglatCIVYxIg/BFpEYFNWpdv1K17rRaNxQX3K217ihuaC1U
iiuIiij74oIIVxbZF1mURRRB5OtC/z95y/lPB7hcuJdFfZ8Yc+8wy5mZO+d5
35k558TEYD3UwKoJDxeoeGK0TT09PUQCiCsQXeBX2vbrB4ZpI9CF7Obm1rVr
V/yvwSd9np6euDCPHDnS1q5HWfqM/PHBgwew7bx586QjTdQJMlmk2JhTecNn
cXMbmam4uU3vhomOCqXps+yejCheRkYG6l7RDS+B5Hr+/PnIoWSapkYHmnoV
X1TvCDBSUlKwOWrJCzZt2tSKvdzQkcFBFo/sHRwcEBRBKKKntTb1e2tuRHJN
bbgQWYlHA4i9kb2Knxn1yoijJHshts7hpWDz3r17L1u2jPotaZpYKayiEZ2I
06dPY80f6lC5DNNMVFU3/YAOBgwYUGcf8mqCGB759ZIlS5rc/5VGkNkZosHO
XrhwYe3atRYWFg02fIbBJ0+evGHDhnPnzoWGhjbY8Bk1Hr0bJru5TYKTpc+1
i0ozYIXLly+Xla1z586LFy/29/eHppG5w1DI2UnTGm8xV1XT6S52BKk95Cga
3YADBw60SgIrYhgxxOeoUaMQI+GEUhfTH1taTfwlGacev5ygoCAxZMO0adOE
ZynJrf1CbO3hpah/JOTm69atw4HFlCbcryZT45IRN4VWrFiBHy0NwMdPqxlG
RejKRVZiZWWl2YEVpKACmTBhgr29fQu3ppTd3EYqERgYuHfvXlVGfIYTcUxw
ZI4cOQIzNqrhc4M3t5UUmOaE+mFkWZFobJSAgACZpmUN2zX71kRVzWvh2Dv4
ESm8k5OTKNLBgwdbuHkUHSIcdjFuBYLMsLAwytRw8D+el8BliMcWIrL69ddf
hSLnzp0r9bVyqJELfsZwNK6U7du3k1gbO6A5bQsXjhgxavz48SKs+gifVjBM
06A3iDZu3GhpaYlarlm3hdoe1+m3337brJenLH1G7YSawc3NDXl97V6yZVDD
5zlz5uzatQsZdxMaPtf5bpiK6hRlRhgg+qESIEVatWoVciXqKRQqRwoPN9G4
G82kacFf/x7hXaFQiGETwerVq1vMj3SUcBBoHMx21Xc8EL3gvNAN8I88UxOR
VXFxMUVWJ0+eFHdmbG1t4XFVjg8dZ1w+WA90/9NPP2HBxt4Zo5Vcu3ZNBAyo
ZxDrcljFMI2CrmtPT88+ffogaWqBLeLyhA1PnDih2VxMlj5nZWV5e3sjAhk9
enSDDZ979OiBlH/t2rUQOlQov7kd+8/NbdHwWdzcljZ8VvHmtpLy04LYIo0d
L0VfX3/dunUhISFC06iEhaalndY2awj0V82LxNg0vUgsxjcEOIY4OM1tSSrG
6dOnReVvZGTk5+cXHx+fmZmJ3/BHewNcCkVWlBTTwEOHDh0SvjY1NcXvucEz
VVXTIhtHFUsdOXKksf2W0MO1AwcOiB/JyJEjcX3RoMAcVjGMioinfrq6ukiU
Wmy7qD26du0K46hzncrSZ1z4YWFhBw8enDVrVu2OvGR06tTJ3Nx88eLFmL++
hs90c1va8FnNm9tKdoRuOaIAyHpkRUXOuGnTptDQUDHuBs4X0vmW1LSsqKhg
UWnjsLzrMT5WsWPHDlFa5P7Xr19vpuqXto5zIfpmAWZmZohhYOr09HTxRJUz
NWlkhV9LSkoKLvCzZ8+KNwM/+eQTDw8P5WdKZOg411gE6bnqsqYCIHhDCCdO
lp2dHS4xXPhiXHsOqxhGFehynjx58p49e1p4066ursh5G/W+rszOWBZVtLu7
+3fffTds2DDldm5XPQYTKvmtW7d6enqKhs+oOqQNn+nmtuoNn9VUpNA0XDxm
zBhZgfv27btt27aIiAgUUjZSm2wImBZ+WExDqeLgIDkiX7u5uYk70u2qm3TR
mPWaKhjtI3b56NGj4rknmDNnDmIYGoMV54tGduNMjRAPr/Ebxu+ZfH316lXp
+G6wJ85gfUdMyBoXhba29rlz51TsEa6quqOGEydOSN8JWbp0Kd0Ukt4A4bCK
YRqEHlUHBAQgd0Pd28Jbx6YHDx7s7e2t/IKV3dxGnYNEePv27ePGjVOl4fMX
X3yxcuVKVBqBgYEqNnymm9uUPtfZT6xG5FhV09wVx9/CwkJWcmNj4927d9en
6VYfAkbcHYWvkXO9ux+uUAQFBVlbW4td0NLSom7E1CwnHW1U7DAFwi2xfij7
8OHD9IIfmRoxFZtaBp0pqa8fP36M39W0adOkZ8rR0VG0wpYtTs+scaLx85Me
5Po2R7WKj4/P0M+GSq/EU6dO0WB8uNYKCwvFDRA+WQyjHHE/Ezr79ddfW6UM
vr6+ZmZmsodWsvQZlQP0euzYsblz54oWOvWB4H/48OHz58/fu3cvwoAmNHyu
fXNb46lrVU2rmZs3b6K0sl0wMTH56aefxCiWyHpQuSGKEINNt5GR2ijSQDWO
+AFxDlkARxiFFw2FiOnTp+NcoPCNinPEbwCJ2LZt2/T19WXrRPRFlT9OJefU
SpD6Gj94GqEeP62DBw9KnxZB2YsXL8a1Jv3Bi9ycRgTGua7vxjXNiXnOnDkz
YMAA6cmaMmUKAjmcrHc/5uq732xqhlEdCoBxBenq6tZOq5F76unp2draSifi
4jI1Ne3Ro4esFfalS5cwMzLBxpYBdQj8Gx4eLrrBJAUgHfPy8lqzZo25uXmD
DZ979+49derUjRs3UsPnu9U02PC59s1tdd4NUxHxGBHyEp2ACSBu1J80+nmd
mlZl3I2WhG7g4wCSBdLS0nCo8YtC4ubg4CC776Gjo2Nvb+/m5oZ5hFXrBH/C
OUIks2HDhtpHCT8JT09PHB/EBjitT58+pcqfTa0E4Ws4F7+ojIwMOlP4seFM
ybrZMTIy2r59e1hYGPX+Tb9YfKbrRdpjrThfWOH58+dnzJghu1oHDx7s4eEh
ThbCYwTGWAmbmmkj1FcLNUf93zREwOzs7Lxu3braM+CipksYdhMT4+Pj6Rp0
cXGRzvzll19ioo+PTxNK8sMPP6xYsQJVrp+fHz5PnjxZNixFbTDDf/7zn2+/
/RbFqN3wmW5ua7zhs5qI+xgIQmR5BxgxYsTRo0dJ0yh/UlISEhAIq81qWiC1
AAqMYqPwqJlRPyMGW7t2rfRBtoAaxyE7hinWr1+/Y8eOzZs3r1y58ptvvsGZ
RfRY53kfP348aZpezkdsgAiBcj2u/BtEBIplZWW4HBC4wp50ppD24mqS9TNP
p8nS0nLp0qUHDhzA7/bGjRs0Qhzm9/X1/fnnn3HWcBLrvN81cuTIEydOiJYU
CJVxsvB7xtXXRm4NMR8tVNXDBUgrUPGuWrUK3hk9ejRSUfxuv/jii9mzZ9OY
DomJidRkqRV/rpRWo7QoW0hISJ3zoPy46Nzd3cUU0WnV2LFjxURcfR07doTZ
m9ZAG5dzg3ZGpWFiYoK8DMn7xYsXcYRRY6jS8FnWq6dm3w1TkaqaAaFwJPv0
6SPbNQsLizNnzvwz2HS1phs12HRbQFgABcYxz8vLQ838rkNphQIiwPlFNo0q
vcEXDOpj6GdDEVJCEKRpRGI40ThKhYWFyPUQJ7T9Q9RGEM9fcKYQ5OAykZ4p
XFZ79uwRo2A3DT09vYULF8LsOFP4FxcXV/tk8ZliWgWq8FFHnTt3ztbWFs4y
MzNbvXo1okqkivj94yqAUEJDQ69cubJv37758+cjEMVPGqFsQEAAPf1p+V8v
1a6oV+FB2LbOeRA54+qbOXOmmAJ9a2trGxgYYCnYhCaiFsVs+FPTSoKLt85G
0Pr6+jieyPrhMtmIz8obPrf8ze36oLoR5YGtcNBkO4hA7pdffvlH0woF9uW9
07SgquZlORx27C8SN5wRnBqIgHI3GtfpwoULGzZsmDBhgpGRkZKnG8iszc3N
FyxYgKAXkSSpRGgap1v6aOB9OURtBHGm4E1xplJTU4WycZxRL6GmwoUve0+g
PlDpIeZEpefh4YFrk1YCTb+7QZTJJ4tpfehnn5mZiSRaR0dn1qxZV69eVTG7
RAJ45MiR4cOH9+vXD1qnd2+au8BS6JYsJDh48OD65sFV3K66PTI90cb/yKAh
UBrHx9fXl2ajPicRqzS5MPRcEitHFb1kyRJZw2e4rOUbPqsJ/Tag3WPHjtVu
8T1u3DhPT0+ppp8+ffqealogHl8iQMK5wEkhEeCnjkr73RPSdzL4RwcgJibG
39/f29sbh+Ls2bPu7u6XLl2i8w6/kzhEtU/vBCKYQc0v3od/H49SG0F2pnAd
4YJCcIXrC0dbepqQbly8eBGX5ObNm6HjpUuXInFevnz5+vXrd+7ciUD61q1b
OJW0yLulql8ReRdTZWbhCkUWQ20M+WQxrQLVSwgXkSZ06dJl69at0ge7jQI1
9tSpU3v37u3l5dViP+aqmraTyJ2liXNtaLwe5M74jMu2XXUXRjQW4bfffkvz
UGsaJOlNLs/8+fPt7e1RdVPb59Zt+KwOQlgoJOo3MQ4UgVxy4sSJyC4pAoGS
sGvQNKpKMdj0+16nVdU0G8e+kAioyQ92Mz09HWEJTigS5Hc6jlWIGj6mGmFn
AGWgzhcvHuDU4yhRMCNtXd7au/seIz1TOKr0sjeOM42YiSMvTpM4R7F1Ic4X
Dc6OSxXex3VauyuA1t5j5qODfuTwFwy7ePFiVETqrxMeHPrZUFgbF0sL/LDp
gXVZWdnhw4cRKiuZc//+/bAMomh8RiCNz7g2cQ1qa2vr6+ujqIjG21U/eFWn
PI6OjjiSoaGh0dHRdPesVRo+q4PQNKqpPXv2yJ7CQ9PTpk27cuUKZdOoA1Ef
ok6TalrsSyvuhaaoqml2R4M6kQtgbRwcnFPEXZmZmTjFOAio3mkkZfyPz4he
MBEVPj3aoDcDcfbxW5UFMx/GgWp1pMpG6IvjjKONn2V+fj7iK5wmOkc0sHWC
BBrnGmcNpwxhmHgURS+KyNoY8sliWh7KSfft29ejRw8kmBpcM+o0ZOgwoGjn
qMGVy/irZnj6H3/8ceXKlUrmxFUJ1/Tr1w+fYWSkin9Vd4ZA754hoj516lS7
6hGXpCv/5ZdfbGxsevXqNXr06EuXLjVYHuz4kiVLEAbQmBQt3/BZHYSmUb9t
27ZN9kpt+/btZ82a5ePjQ4NNC03DQaRpDY5i2dYQyqaRm8jaOKfYcaRdyOPE
MMoIyegDpuDI1L55Il48+PCOUltAnCkcZ7olgsCYThNOB84LoiZcmLkS8BU/
eJw4ulrFuyI4y+JOV9u5SJmPDXopC1oxMzNr8n1v5dy8eVNXV9fX17dZ6yXa
EdSHyKwXLlyoZE6UgV5gRkrYrnpwPZp++vTpdtWjGE+aNAkfEHiLRe7cuWNs
bHzs2DEkknZ2dvirv7+/8vKsXr3aycmJhrWloaNa/d0wVRCaRqq4YcMGMagE
ga9ff/319evXSdNxcXHQNH42H4OmZUitjXOKHcf5FcMov6mBBlDGRArPpE83
2tqp/yARv2eyNp0mcY6gb1ybr6vBB3wVZ63Od0Vae2+YjxcS3KJFi8aMGYPf
avNt6NGjR0hgm9XXtC8Ihs+ePQvbKp+Z3h+jBh0eHh40ESlwu+pOPLS1tfv3
7y+dn+6A0WccKMwgnm7XB6QG7yNKFw1m26adBaJaw3FApCHrUwLJ9YIFC/z8
/EjT8fHxpGnkktC0GMXyI6zTpDpokLb8A/iwEUdenIs/q/lDAk2pfb5au+zM
xw7d/d6+fbuFhQVCyubeXHR0NPJr1PPNVJ+TrEtKSgICAnr16qV85vDwcKGh
rKwsMV307LF582Yli2NHli1bpnwTQ4YM8fb2Rlrd2HFyWx5RgyUnJ3/33Xey
9kedO3deunSpv78/NI2TCE2npaWRppGPfMyaVkKVhNYuC1MHVUpp7dIxzP9D
pkaqa2BggOyvZTZ69epVQ0PDgoICDVbs4vqiLqcgx8DAQGSFUImSpaD1nj17
tqvum0I6XYyKiKCivmUTExMxw2+//aZk/cimUYbHjx83dpzcFkZoOiEhYdGi
RbLWWIhJli9fjuBHpmkcZKmmuX5jGIZpDqpqxs/V19dHjtmSm16xYsU333yj
5si8sjtacEdwcPC+ffumTZtGDYu6dOmCwED5SiB3GKd2McrLy5WP1YWtDBo0
SPk8ENzIkSORs5eWlrbNYYjF0YuNjf36669lmu7Wrdvq1auDgoJosGnqWTEv
L69VBptmGIb5OKE7xkiavv/++xbeNPzYq1cvWKBRHfTJ7AxZIGk9d+6cg4OD
iYlJu7r48ssvm6P8R44c6dixY0xMjPLZcGwhu5ycHOxvWxuGXhzGhw8fzpgx
Q3bcEL+tX78ewQ9pOjExMSMjIz8/nzXNMAzTklRVt0dGJYz0s7CwsOULcP78
eUtLS3qSq6TCl70NAvH5+vpu2bLliy++gC7rFLT0Mau2trbG987b21tLS+vm
zZvKZ0M2raOjExgYCMe9efOm7fQbXFXT/jQyMnLChAmyg2ZoaOjs7BwWFlZb
07KOINrI7jAMw3yoVNUMT4CceuvWra1SBsjCyMgIuRtV/tKySQUN5cEpyGS/
+u9XtfugltGhQwczM7Nvvvnmhx9+cHd39/T0HDNmzPbt2zVY7Dt37rRv316V
MbIPHz4MFSYnJyNaoFGtNViMpiE0jcOOIyM7ejgdO3bsiIiIePDgQUxMDA2m
/OzZs9r9NbGmGYZhWgBKqyERpNVZmVkNL9A8HDp0aP78+RUVFdKGEpTvw7Mr
V64cMWKEcjuDvn37fvnll5s3b/bw8AgPD4fZoRt8oKHuYEykt5p6dw6ZJuKB
pUuXPq4hLi6uTgu/fPlSV1f34sWL8F1beLusqmaMg9u3b1tYWMiOobGxMcKb
+jQt7a+pFXeBYRjmY4PS6suXL1tbWyufMycnp1u3bn369MnIyBATUXWPHz9e
T09PoVCoU4zc3NzOnTsXFxfjg5+f365du+zs7DBFuZ27du2KYi9fvtzV1RXq
qT3ic1w1KBvUExgYOKsadcopQHRRuzzwWu05IfSZM2fGx8fn5eXBd634wLqq
ZlyD69evDx8+XFZ4ExOTffv24RjiWMXGxj558kQ2lhBrmmEYplWoqhnqwsHB
QdqXZn0sWbIEtbq0gxEa+lkj727179+/9shNMrS0tIZ+NnTu3Ll79uxBgIEE
kOxce8RnePPp06fwI7LC/Px8eAd/gq+NjIyQqqtfWhW5ceOGgYFBcHBwWlqa
aGHd8r4TDztw0Gq/gAdxHz58mMYWqVPT7/u4GwzDMO81qH6p9+yRI0cipWpw
fmS+n376Kap3Hx+fv6vT4U+qQdKtfmEQMNQpaMgO4YGTk9PZs2dhvbvV/P+I
z4oGRnymXgRLSkrgbmTZ586dQz6OBdUvcIPAetjW6dOnUUKEDSgPjnYLK480
/fbtW4QoooMXgZmZGcKtf0axjFW8G5k3KwsHkDXNMAzTdqBsCxlfx44dVXxT
GnU+KvlevXpBPTNnzsTn48ePa6Qwbm5unTp1alc9tPSoUaOWLVuGdM/Pz092
c1s64jMNWaV8xGfqPxC2wm4i3cbiyMqRwiMB10ix6yM9PR1hhrOzM/J9bBdb
p1fLWkx8pGk4F/EJ9XwuBUf4zJkzUk1nZ2e/74NNMwzDfJBQzgXraWlpqbgI
au9x48ahtreyssL/5ubmUKFGCnPr1q1BgwZB2UFBQREREXXe3M7IyKCb22LE
ZxqySvmIz/QSHWbDUthZ6GnLli3wtZJOydQEqTRM7ejoiG2h2Ngutt5iT6tJ
04imTp06Vfu1eWtra3d39380rVAkJyezphmGYdos4oH1o0ePPv30U9UXhO+0
tbWp5kdSpqny0GjXt2/fhkcg6Pj4+H9GfM6qd8RnGrJKlRGf6R4C/JWfn4+s
HGHA7t27u3btqkrDq8bi7e2NNSMeuH//PmIMFB5lbpmXwEnT0K6Li0vtFwAQ
ZXl6egpNI4pA5ANNi5F5WdMMwzBtDZI1xIequ1u3bqoviDxXjOzg5+enqfJE
RkYOGzYMCfW7F5yysujmNo34TAPV1TlEnYpNfcUbVhAZ7AmHwqRnz57t16/f
rFmzICyN7AJKu2DBAkNDwxMnTmD9yK9zcnIQYDT3e2WiNToKsH//fuphVfpW
3sSJEy9cuECPEnD6SNM4vDSKJWuaYRimzUI3h8vKypDDqn4bHIuYm5tDAQsX
LmxX3cmVpkbS9Pf3Hz16NEwNTUOp1CO3kpvbjYWCE6wT9iRfw1zYqL29fZcu
Xfbt26fOjiCWOHr0qK6u7owZMxDAIHPH+mHqkpISbLH5uiwTmka8sXv3bllj
N5zWadOmXblyRWg6NTUVpZJqmofHYhiGacsIWSON1dbWRlKmylJQEiwwc+ZM
LG5jY4PPTk5O4q/p6enLly8fMGCAsbHxsmXLGtUDyblz57Da7OxsmFq06m1U
+twgMl8nJydHR0eHh4e7u7uPHTsWyt60aROihUatE/rbsWMHkllEGm5ubljb
w4cPk5KSsH5spflMLTSdn5+/ZcsWejdPgBM6e/ZsHx8fGmw6Li6ONF1UVESa
5lEsGYZh3guErKGVoZ8NRTLY4CLQesdqnj59+nf10JB0P1w8uaa3uC9fvnzk
yJFPPvnk888/V/1BraOjI7yPtJp6z26mJ7xVNUNnwlmIJdLS0hQKxf3790NC
Qjw8PObMmdO9e/eBAwdu3Ljxxo0b2F9ITbYGLI7dR/oMReK4QdPIpn/++Wes
AWbE2rBO7AXWj600x44ITSOwWb9+fYcOHaSaxte5c+dev35dqmmcYtY0wzDM
+4h4Zo2a3N7eHilzg/NPnDgROti/f7+YiFSU3gnHqvC1pKRE/OmHH37An0jr
qmBmZoYMt6CgAEJp1nexxPNrBCrFxcUoIRLhmJgY2C00NPT27duHDh1asGCB
paUlNSo3NDQ0MTHBPg4ZMqR3796IT3R1dRGWzJ8//8CBA/7+/liKXopDVg6B
QotYM91h1qwQhabT09NXrVrVvn17qaYRHS1cuBBRBGk6Pj6eNI19lA42zZpm
GIZ5jxBvgyMNhKnHjx+vfH5YDEYYPHgwEkYxERagNrwXL16UzX/mzBlMR3Kq
SmHg6E6dOsEvMAu9jtXY3WkUouNNBAavXr3C1lFOKFsRq4iKioqIiIB/g4KC
AgMDfXx8sCOurq4wOP7HZ29v74CAAPwV81Af2lhK9PqFtYnsVYNOFKOZoJAO
Dg7iBT+ic+fOy5YtQ9gATUdHR+MwIrtnTTMMw3wAUP0Ps0BVSMR0dHTy8/OV
z4+av7ZGYXxMr22Br/77Vd++fVXU7smTJydNmpSRkdFiQ12IYaewOUQs2C6O
Q05ODrLRxMREhUIB60HESJlpNBCCOjjF9Hd9jysUmBPzUwOoZur1S2g6ISEB
+b6sNRZy/BUrViB4kGn6xYsXUk3z8FgMwzDvL6jGkcaiYkcNP2vWrL1792pq
zRAHVKJiL9woBhJ2Nzc3WK+0tLQl++SUKRtbx9FAggzfIVPGYUlOToaRE2rA
Z0wRnadhTmpc1hxDXQhNx8TEIPKRabpbt25r1qxBgk+DTaNs6enpeXl5KE9Z
WRmPYskwDPPBIPoGz87OvnLlip6e3qtXr9RfbVFRkZGRkb29vYqa8PHxgayR
FYq3y1qlA21sF0cDmiNrI1OG+AoLC2Hkd0OBZGXhf2r9TX2Pk6Mxv2hcpnFN
R0VFffnllzJN9+zZ08nJKTg4mDSN+CEjIwNlY00zDMN8kEgfW6POnzp1qrOz
s5rrhC8sLS2tra0rKipUmf/t27cDBgxwcXFBuirGpVKzDE1DKBIRCzLW3bt3
z54929TUtGvXrkKUXbp0GTJkyPTp07dt23br1i1YW7PPgkXYEBERMWHCBJmm
DQ0NcYLCwsJqa7q8vJw1zTAM86Ei7oSnp6f7+fnp6urGxMQ0eW0wLxQzYsQI
JJ4qLrJly5YvvvhCoVDk5OS08D1wAdntf//737Vr1+bMmdOpUycLC4tNmzZd
vnw5Ojo6Ly8P+sauoXiIamJjY729vbdv346ApGPHjohwvLy8EJmoqUihacQJ
WLNM00ZGRjt37gwPD3/w4AFOEDSdmZmJwpSUlLCmGYZhPnikra3j4+PhIOS5
qqtWBlJR5KEBAQGPa4BQlMwPMenp6SFISElJKSwshPJa5R44tnvixIk+ffrA
0b/88ouKA5ABSPzChQvjxo3r3r37vn37YPMm6JI0jbPg7++PAsg0bWxsvGfP
HnrtvLamNf6gnGEYhmmDVNWMd0zJNRJJCNfW1hYWaOyqkBQj05S5ZunSpfXN
D0EjkT927FhcXFxLjnYhoH2/ceNGv3797OzsoqKimrwqONTe3l5fX//8+fOq
q1O0IPP19R0+fLjs0A0ZMmT//v2RkZHQNNJ50TpMvHbOmmYYhvl4oLQOaRry
taSkJCRx1tbW06dPb4KvVSc1NRVq27RpE8IDBAnFxcUtOdwz5b+w3sKFC/v2
7YsEXyOrhe6HfjZ02rRpUKryfREds1y6dMnExESmaYj78OHDNDxWnZrmcTcY
hmE+NqQjUuXk5CDPDQkJGTNmzPjx41XsMLyx3Lt3r3v37k5OTpBRcnIyNIRQ
ocWeVtP+IlqAJZH4a2ogEqKyshIRSO/evSHZOn0qbmV4enoOGDBApumRI0e6
urr+M4plrAKxU1ZWVvM14mYYhmHeI+i18IqKCtgZSZxCoQgLC5s9e3a/fv2Q
+WpwQxANZKSrq/vTTz+pMtyziq+Uqw658vHjx4gWjh8/rtmVC5AvYx9xDKVi
pU3DuT///DN1+ybF0tLyzJkzUk1nZ2dD04igWNMMwzAMQW+awQtFRUWZmZnw
dURExJYtWyAdZ2dn+FT9TTx58sTGxmbYsGEeHh6qDPe8efNmWGzChAnqb5og
XSJCgKkvXLigqdXWSVBQEA4djqEY3PP169cnT57s2bOnTNM4Ju7u7v9oWqFI
Tk5mTTMMwzD1QS87CV8j/YRBkCTa2dl169YNGXGTlZ2amurg4NC1a9fly5fD
YrASDfesfBBJU1NT0plGnp6LcZ/79et37tw59VfYILdu3erRowe1Hz98+DCO
oUzTiEM8PT2FplNSUqjnUtElGmuaYRiGkSFeToYp4Bfkd0h+4ZGwsLATJ06M
HTu2c+fOK1euDA8PRw6uygrhYi8vr4kTJyLHnDdvnre3NzLNR48eIXlUZbjn
devWaTCzpl2bPHmyo6OjRlaoCgcPHuzbt6+0WxWgpaWFYiC1J00jKCJNFxYW
0iiWrGmGYRhGCaLNL5RRUlICpcIjsbGx0EpISMj58+cXLlxobGyso6MD3ezd
u/fKlSsPHz7EPEiTszKzkC9D5e7u7k5OTiNHjtTW1ra2tsbnGzduwPgPHjyI
i4vLyMig5JGGe1buo/Lyck3tF3YKCfXQz4Y261vuMnAwLS0txSBZ+DB9+nQc
tHv37pGmkXfj0Ek1zcNjMQzDMA0iutKCTGEQGj7yyZMnMTExUDaNHenp6bll
y5av/vsV0m0TExNDQ0M9Pb0ePXogixwxYsSkSZMWLVq0f//+69evY+Z/xpFU
KGh4ZeobszmGe1ayR9idoqKi7t27I6+niXAlymxrayudE0UyNTWle9fS6Zcu
XcLMu3fvbsLWcfQQtEDTs2bN8vb2psGmEbSQplEq0jSPYskwDMM0FtGei4aP
fP78ORLndyM+K96N+AxrI4NGrh1UTWAN9DU4OJjGeqYurOPj46X549u3b1u4
Nw/akZ07d3799ddiIkrSvn17ZLuIH8REFJVSYBcXF+kaaDQNHx+fphVg7dq1
dnZ2YWFhIpvGRknTPNg0wzAMow51jvgMy2RkZMDa8JoiVgEXI0+MkhAdHY0c
nMZ6TklJgeLz8vKKi4ult3lbsgtrSqtfvXqFfDkhIUH6p8mTJ0PB7u7uYoqr
qyvJeuzYsWIiit2xY0eYvcnv1yHU6dSpU0BAwJMnT3AAcTSkg02zphmGYRg1
EU+xSdmwTElJCXLk/Pz8d4M+Z2VlZmamp6enpaXhf3gcds7OzqaxnpE8wpLl
5eUkplZ5aYrS6gsXLlhZWcn+9PPPP8PLM2fOFFOgb21tbQMDAy0tLTFaaFBQ
EGbDn9QpxuzZs7dv3464hbNphmEYppmQjvgM90E3JG4a9xn6flENPsBxmFhW
VoYZMJvowrpVxCT6IZk3b96pU6dkf0VEAQsj50U5/64eMgwZtK2t7Zo1azDd
19eXZnNycsJXNVt7Xbt2zcbGBodIvADPmmYYhmGaA1IMmRfGgYXJ3TIwEX+i
PFrNm95q9mCG7aIwCB66desme2eMMDc3h4ipb/CIiAh8PnLkyO3bt/Hh22+/
pXn69++Pr0iK1SkJQhrk7AgPWniwEoZhGOZjpqqGv2oh/qTmJtTvwYzugScm
Juro6NRZnv3792MT69evx+edO3fisyJWUV5eDrHq6+tj8bS0NEy0sLBo+m7U
MGjQoODgYBqvRP21MQzDMExbQM0ezCiQQG7u4+Pzn//8p855EhISsP5+/frh
M4ysp6dHJqV3zxQKxalTp/Dh4MGD6uwIYW9vf/r06Tdv3rT8mN0MwzAM00yo
2YMZvQeONNnNzW3OnDn1zUNjaty9exf/z507l6bDqvh64MCBSZMm4cOTJ0+a
uA8SHB0dd+/eXVZW9scff7CsGYZhmA8GdXowo17LXr9+jbx42bJl9c1G74+N
GjUK/3t4eNDE9PR0GldaW1u7f//+TS6DlJ07d65fv760tJReBdfIOhmGYRjm
vYY6A4ccDx8+vGjRovpmCw8PF712Z2VlielisOnNmzfXt2xlZaX4jNhA+rU2
W7duRWDw8uVLfseMYRiGYQh6u+zVq1enT5+eMWNGfbNhHhq2cuhnQ6XTd+zY
QbJ++PChdHpiYqKenl5SUpKlpSX+Onjw4OTk5JCQECMjIy0trXHjxhUWFta5
oVWrVu3atevFixcsa4ZhGIYhSNbIZH18fIYNG6Zkzj///PP169e1BUrducgm
KmIVcHTv3r2vXr2akJBgYmJiVE1AQAC0Du+vXr26zq1MnjwZYQPLmmEYhmEE
IrN+/Pgxcl5NDbZFsg4ODqavbm5u+CoacTs7O5uamta5oIGBAYTOsmYYhmEY
gXhmnZ2dbWxsHBUVpZHVkqzF021fX198xYboq4uLC5Lu2kth/q5du8Lp/Mya
YRiG+cBQpwcz8TZ4Tk7O4sWLd+3apZEiyWR9/fp1qayPHj1ap6zPnj07depU
hA30Njg33WIYhmE+DNTswUy0s87Pz/f09IRD8VX9UjVN1hYWFki6c3NzuZ01
wzAM8yGhkR7M3rx5U1BQkJiYaGxs7O/vr36pmiBrLNKjRw+FQvH8+XOUhwfb
YhiGYT4Y1O/BjLobhakdHBy0tLTga/UfFsfFxaFUOTk59NXPzw9rRrJMX48f
P25kZCRbZMqUKY6OjqmpqS9evKisrOQH1gzDMMyHRNN6MBMjjCD/Xb16tba2
NmXoOjo6np6e6pdKlulLv9I4X9K/BgUFGRgYPHjw4OnTp/zAmmEYhmlFqiS0
bjFo5K+0tLQVK1Yg520noX379p07d87Pz2+x8sDOhoaGhw4dSkpKKigo4FE8
GIZhmBZDpK4vX75UKBQ3b9708vI6e/asu7v7lStXgoODMzMzkW+2pL6FpqHF
JUuWyDQNR3/99deurq6TJ0+2srLSVJtr5aAwM2fOnD59emxsLHJ8brTFMAzD
tABk3tevX3t7ezs4OBgbG8OJAwcOnDJlyvz587/77rulS5d+9d+vrK2tu3fv
3qFDh7Fjx/7www9QlRjkuplKRZqOj4+fN29eu3+jq6uLFPvGjRt+fn4IJM6f
P29hYbFgwYIWkOamTZuGDx8eHh6enJzMaTXDMAzT3JAQHz16tHDhwk6dOo0f
P/7UqVOKWIXs+ayUFy9e3L59e+PGjb179+7fv//Ro0dLSko0q2yh6ZiYmFmz
Zsk0jYDB0dExKCjo7t27D6qJjIzE16tXr5qamiKuaFZfb926dcCAAQgSEELk
5uaWlpZyWs0wDMM0EyTEx48fT5w4sWfPngcOHECS2Ng13L9/397evkuXLj/9
9FNZWZn6vhaaxpqR18s0jXIiSAgJCcFfEWAkJCSkpqZmZWalp6cnJiZGRUUh
yx45cuS0adPgUDVLUpvKysrFixcPHDjQ19cX8Qy2i7jl7du3nFYzDMMwGoey
4PLy8nXr1unp6bm6uqr5qDctLQ35r6GhYWBgYJPbGpOmIb6wsDAk+DJNY+VI
afEn0jTUnJGRkZ+fD13Cy0jtnz9/DnEjE0eKPXXqVCg1OjpanZ2SkZycbG5u
bmNj4+/vj60gPCgsLHzz5g13hMIwDMNoHHIiZDdo0KA5c+YUFxdras0BAQEG
BgaOjo7IQBvlL6FpuN7a2lqmaSMjo127dkVERDx48ACWRMkzMzOfPXsGQSPe
wLb+Vw0+w55waGxsLGZ2dnZGHOLk5ITZ1NwvrHnPnj1dunRZuXJlaGgoyoDg
pKCgANN///13vgHOMAzDaBbS4p07dyCyc+fOaXz9MKOtre2ECROQ8KpiMSoP
klM/P7/PP/9cpmljY+O9e/eSpqFgmaYhaCz4Vw3wJvkaGbdCobh79+7ly5eR
Yuvq6kK1jb3DT7x8+dLFxUVfX3/cuHHnz5+PjIxUxCoQD2BtZWVl9Kia02qG
YRhGg5AZb9y4AVPDO820FQj0u+++GzVqFPm6PpdRYWBYb29v0fuoYMiQIQcP
HkQhSdNPnjzJysx6/vw57PnmzRuhabFysTb8tbi4OCsrKyEhISoqKiws7MyZ
M1OmTPnkk09mz5595coVlKrBXSgtLb158+Y333yjo6ODwOP48eNIqFGS+Ph4
FKOoqIhCBTY1wzAMo1lIZ8hSkWlqakzJ+sCGVqxYYW1tXWd32VQSyM7Ly8vE
xESm6REjRhw9ehR5MQqJNLa2pv/88886LSn1NVLv3Nzc1NRUrOHevXshISHQ
9Nq1a62srDp06DBo0KBFixYhZ/f09Lx27dqdO3euX7/+22+/7d+/f9myZYgc
2rdvb25u/v3331+4cAHLojAxMTHJyclYJ1yP9dPdbzY1wzAMo0FIZJmZmT16
9Lh9+3YLbBGbmzp1KtxHKbC0GG/fvvXw8Ojfv79M0xYWFidPnhSaTkpKQoJc
UFDQoKZlu4nZKisrkR0XFhZmZ2djPcjN79+/Hx4eHhQU5Ofn5+LismbNGnt7
+4kTJ44dOxYGt7GxsbOzmzNnzqpVq5DRw92YE1k5RA9NU8CAkmCdKLwsqWcY
hmEYjQC5wF8QE9LJFtso1GZkZHT16lXxZLm8vNzNza1Pnz4yTY8ePfrs2bNS
TUOykOOrV69U1LQUkbljWawB68HaUlJS4uLioqOjYe2IiIjQ0FCkzMHBwUE1
4DOmYDr+CkdjzsePHyObRsAgzetZ0wzDMExzALlAl6dOnTI3NxdjSLUMkZGR
yOWfPXsG2R07dqxnz54yTSN+QJb9j6YVCshRHU0LRIotlF1UVJSXl4cEGdZO
TEyEiBEVIGt+VAM+Ywqm46+YJzMzMzc3F7m5miVhGIZhmAYhbb148UJfX1+z
7Y5VZOHChTY2Np9++qlM03Z2dp6enshhSdPw49OnTyFH5OOakqNU2W/fvi0r
K4N5i4uLEQxA3HAxtojYALkz/sfnnJwcTEceDbMjusD8FRUVrGmGYRimuaEb
wgcOHJg5c2arFAAqFANZAi0tralTp168eJE0jUxWqunmkKPoEu2PP/7Ayisr
K7GV8vJyuLj032AKpiNUgNml7cJY0wzDMEzzActAfLDPgAEDmq+tVoNQr6HQ
9IwZM65cuQJNP3z4EJpOTU1FMivVdPPJUYwmRuCwwMW//xtMoThBFIM1zTAM
wzQ3lFYHBwdD1qp4h3of3bBhg3TirVu3unfvPm/evCYXIygoqGfPnl5eXhER
Ecim4+LioOnc3NyioiLSNLWEarEctqohWqAMDMMwDPN3ze1fqHDjxo2bNm1S
ZRE4tH379siCRUPs169f9+rVC1MePXrU5JJUVlZ27NgROTVWkpKSAk0XFxdT
M6gW1jTDMAzDtCnoJfCysjIrK6vAwEAVl9qzZw/UPHz4cBoic/369fjq6Oio
ZmEmTpy4b98+6lIbAQBrmmEYhmH+rrkH/vLlyy5duuTl5am4FLLggQMHQtCu
rq4KhQIfkFlDr2oWZtu2bStXrnz+/Lm0o07WNMMwDPORQ32FJScnd+jQoVFa
jIiIgKN1dHSGDRuGDzdv3lS/MJ6enjNnznzx4gWCAc6mGYZhGOZvyXvgUVFR
PXv2bOziS5cupZZWM2bM0Eh5YHxbW1sha42sk2EYhmHea0jW5eXlISEhAwYM
aOzic+bMIVl//vnnWI/65QkKCrK2ti4uLmZZMwzDMAwh3i67d+9ejx49GrUs
smBoetSoUYMHD8aHkydPql+eGzduILMuLCysqKhgWTMMwzDM3zWyfv36dVxc
XPv27VX3Y2lpqYGBARytiFWEhobSw+vc3Fw1y+Ph4TF79uyCggKWNcMwDMMQ
QtY5OTm6urrZ2dkqLrhq1SoIevXq1fR13rx5+Kp+V6WbN292dHRkWTMMwzCM
QNwGR1I8evToW7duqbLU/fv3oeZu3bqVlJTQlGfPniGzrvOd8MrKSunmpF9r
M2HChJMnT/JtcIZhGIYRiBfM8vLy1qxZs3btWlWWMjc3h5e9vLykE0+dOoWJ
/fr1w+fExEQ9Pb2kpCRLS0tMHDx4cHJyckhIiJGRkZaW1rhx46Dj2qt98+ZN
hw4doqKi+AUzhmEYhhGIplvPnz+/evWqoaGhKoqk0Z9rT8dESpwVse+6Send
uzfWmZCQYGJiYlRNQEDAw4cPe/bsKe6fS0FWjjAgIyMDCTv1iKL+DjIMwzDM
BwB1ilJUVITkd9CgQar3OKoEknVwcDB9dXNzw9fU1FT66uzsbGpqWnupyZMn
79q1Kzs7u7S09Pfff+ceURiGYRiGoO5Gkcwipd26deuECRPUXyfJOisri776
+vriK/UiDlxcXJB0yxZ58uRJ165do6Ki8vPzkaEj32dZMwzDMAwhXgjPzc2N
jo6GRkNDQ9Vcp0zW169fl8r66NGjtWU9ffr01atXp6SkIMdHps/3wBmGYRhG
IIbILCwsTE5O/vHHHwcOHIiv6qyzsbL28/Pr1atXZGRkdnb2q1ev+IE1wzAM
w8igO+GwJFwZGxs7duzYdevWqbPCRskaQYK+vr6rq+uTJ08KCgr4HjjDMAzD
1Ea8Ew5XIrm+desW8lxPT88mrzAuLg52zsnJoa9InLW0tP744w/6evz4cSMj
I/qMIGH06NELFixAkAC5v3z5ktNqhmEYhqkTSq5LS0th2MePH7u7u+vq6t6+
fbvJK8Ta6vuK2ICybPw/e/ZsGxube/fupaSkcFrNMAzDMEqg5LqioqK4uDg9
PT0mJubEiRPw9bVr15ppi/DyjBkzrKysgoODExIScnNzESpwWs0wDMMwSqCE
t7y8HBluamrqw4cPT58+3b179x9//FHjAkX+bmZmZmtrGxQUpFAosrKySkpK
6CVwTqsZhmEYRgniZnh+fn5SUlJUVNTly5eHDx8+ZsyYzMxMjWwCLv7111+R
szs4OISHhytiFVgz0nkk2n/88QebmmEYhmGUQ824yNd5eXnJycnIr4ODgyHW
zp07Ozs7v3z5Up31379/38rKauDAgcjZIyMjkVNnZGQUFRWRqfkGOMMwDMOo
Avm6srISvn727FlqampMTExERMRvv/02adIkKHvt2rWJiYmNWmdFRcW1a9dG
jx6tr6/v6OgYFBQEa8fHx2dlZpGpf//9d74BzjAMwzCqI/Lr169fFxQUIPmN
i4uDXkNDQz09Pe3t7bt3747seNu2bbdv38YMda4EiyclJXl4eMyfP/+TTz4x
MzPbvHkz5of3o6Oj8aecnJwXL16wqRmGYRimaQhfl5eXQ6kQa3Jycmxs7L17
96BsOPfQoUNz5841Nzfv2LEjXGxqampjYzNlyhQ7OzsrK6u+ffu2a9fOwMDA
1tZ21apVUDyyaWg6KioKCXV6ejpy9levXr19+5bufrOpGYZhGKYJkK8h04qK
itLSUmTQ2dnZyIgVsQo4F+YNCQmBgu/cuePl5eXi4rJ3794dO3bs2rVr//79
bm5uvr6+gYGBwcHBYWFhd+/eRTYNTaelpeXm5sL+iAEQCXCTaoZhGIZRk6pq
oFQawBq5MJSNLDs1NTUxMRHWfvjw4f379yMjI8PDwyFlJN34H5+hcggaTn/0
6FFcXBwUn5mZmZeXB02/fv2aE2qGYRiG0SyUYgtlI8uGc58/fw5rQ8EQN1yc
kJCAxDmuGnyAypOTk5FHZ2VlwdGFhYUvX74sKyuDpsUTajY1wzAMw2gWoWzY
trKyEtZGjgwFQ9xwMdz97Nmz/Pz8Z9UgAS8qKsKfYPby8vKKigqInrJpTqgZ
hmEYplkhZZO1IV8oGOJGvvzm38DOmIi/wuxSR7OmGYZhGKbFIPP+9W9gcNmU
qhpau7wMwzAM87FT9W9auzgMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAM
wzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAMwzAM03T+DzlC
GCw=
    "], {{0, 318}, {655, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{655, 318},
  PlotRange->{{0, 655}, {0, 318}}]], "Input",
 CellChangeTimes->{
  3.7912036880588665`*^9},ExpressionUUID->"cef8dca4-38e4-4251-ae45-\
4345bf81a598"],

Cell["\<\
the above operation can be written in this expression, where x (the input), w \
(the weights) are vectors and b (the bias) is a scalar\
\>", "Text",
 CellChangeTimes->{{3.7912035644650345`*^9, 3.791203642107011*^9}, {
  3.79120370063593*^9, 3.79120370392239*^9}, {3.7912038410616884`*^9, 
  3.7912038664557467`*^9}, {3.7912043910195265`*^9, 3.7912043998038416`*^9}, {
  3.7912665509196477`*^9, 
  3.7912665952037425`*^9}},ExpressionUUID->"d29463bc-c6f8-4b80-9be2-\
b8968514df49"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Style", "[", 
  RowBox[{
   RowBox[{"TraditionalForm", "@", 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"x", ".", 
       StyleBox["w",
        FontWeight->"Plain"]}], "+", "b"}], "]"}]}], ",", "18"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7912034564862103`*^9, 3.7912035425467014`*^9}, {
  3.7912041675253983`*^9, 3.791204170932411*^9}, {3.7912681449358377`*^9, 
  3.791268145329785*^9}},
 CellLabel->
  "In[343]:=",ExpressionUUID->"e42b61a8-99ad-495b-ae88-c927da861ada"],

Cell[BoxData[
 StyleBox[
  TagBox[
   FormBox[
    RowBox[{"f", "(", 
     RowBox[{"b", "+", 
      RowBox[{"x", ".", "w"}]}], ")"}],
    TraditionalForm],
   TraditionalForm,
   Editable->True],
  StripOnInput->False,
  FontSize->18]], "Output",
 CellChangeTimes->{{3.791203497746008*^9, 3.7912035428296576`*^9}, {
   3.7912041679971724`*^9, 3.79120417120372*^9}, 3.79126814558615*^9},
 CellLabel->
  "Out[343]=",ExpressionUUID->"eecd516a-37a4-4d02-b463-f3bc9775d3b1"]
}, {2}]],

Cell["\<\
A Neural Network is the stack of many Perceptrons that connect to each other \
as the following diagram. \
\>", "Text",
 CellChangeTimes->{{3.7912035644650345`*^9, 3.791203642107011*^9}, {
  3.79120370063593*^9, 3.791203729805007*^9}, {3.7912037637108393`*^9, 
  3.7912037716999893`*^9}, {3.7912038726350527`*^9, 
  3.7912039321777287`*^9}},ExpressionUUID->"3805d157-023f-4d70-b3fd-\
9adfbcf605f6"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnQl4Tefa/vW0RdEiqHmo8aix5tkxD0HMxJgQU8UUQhBDQowh5nlKEEJM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    "], {{0, 130}, {285, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{285, 130},
  PlotRange->{{0, 285}, {0, 130}}]], "Input",ExpressionUUID->"3a14824e-5c25-\
4dc8-aee5-cc29fa777207"],

Cell["\<\
which is equivalent to this expression, where w are matrices, b are vectors, \
x is the vectorial input\
\>", "Text",
 CellChangeTimes->{{3.7912035644650345`*^9, 3.791203642107011*^9}, {
  3.79120370063593*^9, 3.791203729805007*^9}, {3.7912037637108393`*^9, 
  3.7912037716999893`*^9}, {3.7912038726350527`*^9, 3.7912039321777287`*^9}, {
  3.7912039685404243`*^9, 3.791204030374154*^9}, {3.791204127262106*^9, 
  3.7912041446869373`*^9}},ExpressionUUID->"f6e6b88e-fea7-461a-817a-\
21f3d97ef9df"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Style", "[", 
  RowBox[{
   RowBox[{"TraditionalForm", "@", 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"x", ".", 
          StyleBox[
           RowBox[{"Subscript", "[", 
            RowBox[{"w", ",", "1"}], "]"}],
           FontWeight->"Bold"]}], 
         StyleBox["+",
          FontWeight->"Bold"], 
         RowBox[{"Subscript", "[", 
          StyleBox[
           RowBox[{"b", ",", "1"}],
           FontWeight->"Bold"], 
          StyleBox["]",
           FontWeight->"Bold"]}]}], 
        StyleBox["]",
         FontWeight->"Bold"]}], 
       StyleBox[".",
        FontWeight->"Bold"], 
       StyleBox[
        RowBox[{"Subscript", "[", 
         RowBox[{"w", ",", "2"}], "]"}],
        FontWeight->"Bold"]}], 
      StyleBox["+",
       FontWeight->"Bold"], 
      StyleBox[
       RowBox[{"Subscript", "[", 
        RowBox[{"b", ",", "2"}], "]"}],
       FontWeight->"Bold"]}], 
     StyleBox["]",
      FontWeight->"Bold"]}]}], 
   StyleBox[",",
    FontWeight->"Bold"], 
   StyleBox["18",
    FontWeight->"Bold"]}], 
  StyleBox["]",
   FontWeight->"Bold"]}]], "Input",
 CellChangeTimes->{{3.7912034564862103`*^9, 3.7912035425467014`*^9}, {
  3.7912040467419515`*^9, 3.791204113424415*^9}, {3.79120417852118*^9, 
  3.7912041786967096`*^9}, {3.791268153147685*^9, 3.791268153436948*^9}},
 CellLabel->
  "In[344]:=",ExpressionUUID->"e0633d41-fc51-43aa-a143-01499ead0302"],

Cell[BoxData[
 StyleBox[
  TagBox[
   FormBox[
    RowBox[{"f", "(", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "(", 
        RowBox[{
         SubscriptBox["b", "1"], "+", 
         RowBox[{"x", ".", 
          SubscriptBox["w", "1"]}]}], ")"}], ".", 
       SubscriptBox["w", "2"]}], "+", 
      SubscriptBox["b", "2"]}], ")"}],
    TraditionalForm],
   TraditionalForm,
   Editable->True],
  StripOnInput->False,
  FontSize->18]], "Output",
 CellChangeTimes->{{3.791203497746008*^9, 3.7912035428296576`*^9}, {
   3.791204057815364*^9, 3.791204075873991*^9}, 3.7912041144616365`*^9, 
   3.791204178999898*^9, 3.7912681537820435`*^9},
 CellLabel->
  "Out[344]=",ExpressionUUID->"96f26f00-4769-426e-ba31-ee2c0ede2eac"]
}, {2}]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\"\<see more details in: \>\"", " ", 
  RowBox[{
  "Hyperlink", "[", "\"\<https://pathmind.com/wiki/neural-network\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7911998585700245`*^9, 3.791199930493136*^9}, {
  3.7911999642970543`*^9, 3.791200091879422*^9}, {3.791200125268755*^9, 
  3.791200126612504*^9}, {3.791200222088945*^9, 3.791200224705031*^9}},
 CellLabel->
  "In[219]:=",ExpressionUUID->"58e294fd-91c2-476c-bc1f-fceffb3b0e6c"],

Cell[BoxData[
 RowBox[{"\<\"see more details in: \"\>", " ", 
  TemplateBox[{
   "\"https://pathmind.com/wiki/neural-network\"",
    "https://pathmind.com/wiki/neural-network"},
   "HyperlinkURL"]}]], "Output",
 CellChangeTimes->{{3.79119989035437*^9, 3.7911999321592417`*^9}, 
   3.7912000362244864`*^9, {3.7912000737982545`*^9, 3.791200092362009*^9}, 
   3.791200127815988*^9, 3.7912002258007946`*^9},
 CellLabel->
  "Out[219]=",ExpressionUUID->"0b415055-d79f-4ab6-bba3-fe0dc24dbf21"]
}, {2}]]
}, Closed]],

Cell[CellGroupData[{

Cell["A Simple Case", "Chapter",
 CellChangeTimes->{{3.791199794424138*^9, 3.791199817075786*^9}, {
  3.791200265940048*^9, 3.791200270812752*^9}, {3.791204286791445*^9, 
  3.7912042870906057`*^9}, {3.7912656349294567`*^9, 
  3.7912656405396357`*^9}},ExpressionUUID->"654a4430-f039-4360-a3ee-\
cb31d0490937"],

Cell["\<\
defining a layer consist of 1x3 weight values, 3 biases and an activation \
function (Tanh) for non-linearity\
\>", "Text",
 CellChangeTimes->{{3.7912657332925053`*^9, 3.7912657534728413`*^9}, {
  3.791265909957426*^9, 3.7912659286892476`*^9}, {3.7912664312326145`*^9, 
  3.7912664395278444`*^9}},ExpressionUUID->"062a7a5a-ed59-4830-b5eb-\
870942ae5456"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Subscript", "[", 
    RowBox[{"y", ",", "1"}], "]"}], ":=", 
   RowBox[{"Tanh", "[", 
    RowBox[{
     RowBox[{"x", ".", 
      RowBox[{"Subscript", "[", 
       RowBox[{"w", ",", "1"}], "]"}]}], "+", 
     RowBox[{"Subscript", "[", 
      RowBox[{"b", ",", "1"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Style", "[", 
  RowBox[{
   RowBox[{"Row", "@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"HoldForm", "@", 
        RowBox[{"Subscript", "[", 
         RowBox[{"y", ",", "1"}], "]"}]}], "]"}], ",", "\"\<=\>\"", ",", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"Subscript", "[", 
        RowBox[{"y", ",", "1"}], "]"}], "]"}], ",", "\"\< where \>\"", ",", 
      RowBox[{"TraditionalForm", "@", 
       RowBox[{"Element", "[", 
        RowBox[{
         RowBox[{"Row", "@", 
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Element", "[", 
              RowBox[{"x", ",", "Reals"}], "]"}]}], ",", "\"\<, \>\"", ",", 
            RowBox[{"Subscript", "[", 
             RowBox[{"w", ",", "1"}], "]"}], ",", "\"\<,\>\"", ",", 
            RowBox[{"Subscript", "[", 
             RowBox[{"b", ",", "1"}], "]"}]}], "}"}]}], ",", 
         RowBox[{"Power", "[", 
          RowBox[{"Reals", ",", "3"}], "]"}]}], "]"}]}]}], "}"}]}], ",", 
   "18"}], "]"}]}], "Input",
 CellChangeTimes->{{3.791266691828047*^9, 3.7912667498277593`*^9}, {
  3.7912667897531385`*^9, 3.7912668359778857`*^9}, {3.7912668714023705`*^9, 
  3.79126700889447*^9}, {3.7912672017545595`*^9, 3.791267204174783*^9}, {
  3.791267317520299*^9, 3.791267368531335*^9}, {3.7912676575969505`*^9, 
  3.791267686005784*^9}, {3.791267718243037*^9, 3.7912678236352153`*^9}, {
  3.7912678556303043`*^9, 3.7912678764915447`*^9}, {3.7912679554626446`*^9, 
  3.7912680208318567`*^9}},
 CellLabel->
  "In[327]:=",ExpressionUUID->"3a40dba1-7610-4029-95ee-9fdb0973c733"],

Cell[BoxData[
 StyleBox[
  TemplateBox[{TagBox[
     FormBox[
      TagBox[
       SubscriptBox["y", "1"], HoldForm], TraditionalForm], TraditionalForm, 
     Editable -> True],"\"=\"",TagBox[
     FormBox[
      RowBox[{"tanh", "(", 
        RowBox[{
          SubscriptBox["b", "1"], "+", 
          RowBox[{"x", ".", 
            SubscriptBox["w", "1"]}]}], ")"}], TraditionalForm], 
     TraditionalForm, Editable -> True],"\" where \"",TagBox[
     FormBox[
      RowBox[{
        TemplateBox[{
          TagBox[
           FormBox[
            RowBox[{"x", "\[Element]", 
              TemplateBox[{}, "Reals"]}], TraditionalForm], TraditionalForm, 
           Editable -> True], "\", \"", 
          SubscriptBox["w", "1"], "\",\"", 
          SubscriptBox["b", "1"]}, "RowDefault"], "\[Element]", 
        SuperscriptBox[
         TemplateBox[{}, "Reals"], "3"]}], TraditionalForm], TraditionalForm, 
     Editable -> True]},
   "RowDefault"],
  StripOnInput->False,
  FontSize->18]], "Output",
 CellChangeTimes->{{3.791267362774482*^9, 3.791267369097787*^9}, {
  3.7912676701817117`*^9, 3.791267686773737*^9}, {3.7912677330728536`*^9, 
  3.791267824173774*^9}, {3.7912678623849487`*^9, 3.7912678770265703`*^9}, {
  3.7912680015146666`*^9, 3.791268021771658*^9}},
 CellLabel->
  "Out[328]=",ExpressionUUID->"62f09524-879d-48ef-933c-e0796e2d9ab9"]
}, {2}]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"w1", "=", 
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"b1", "=", 
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", "3", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"y1", "=", 
  RowBox[{
   RowBox[{"Tanh", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", "#", "}"}], ".", "w1"}], "+", "b1"}], "]"}], 
   "&"}]}]}], "Input",
 CellChangeTimes->{{3.7912656611747985`*^9, 3.7912656955815954`*^9}, {
  3.791265730487589*^9, 3.7912657307967625`*^9}, {3.7912658191900563`*^9, 
  3.791265821188984*^9}, {3.79126585368299*^9, 3.7912658544798923`*^9}, {
  3.7912680964195013`*^9, 3.7912680966259513`*^9}},
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[333]:=",ExpressionUUID->"ba691f51-ca5e-445a-9c62-c7583ddaf757"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "0.9970573733135533`", ",", "0.9629371746111426`", ",", 
    "0.37422884679186597`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.791265703026648*^9, 3.791265755697384*^9, 
  3.791265822020795*^9, 3.7912658558435106`*^9, 3.7912680974158416`*^9},
 CellLabel->
  "Out[333]=",ExpressionUUID->"d06cd628-026b-4383-a54e-96587401a4e4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.46570385582047136`", ",", 
   RowBox[{"-", "0.8670823173061692`"}], ",", 
   RowBox[{"-", "0.0008229649814532891`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.791265703026648*^9, 3.791265755697384*^9, 
  3.791265822020795*^9, 3.7912658558435106`*^9, 3.7912680974208255`*^9},
 CellLabel->
  "Out[334]=",ExpressionUUID->"4f03f8c1-3446-43b5-85d6-d51ada617737"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tanh", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", "#1", "}"}], ".", "w1"}], "+", "b1"}], "]"}], 
  "&"}]], "Output",
 CellChangeTimes->{3.791265703026648*^9, 3.791265755697384*^9, 
  3.791265822020795*^9, 3.7912658558435106`*^9, 3.791268097424815*^9},
 CellLabel->
  "Out[335]=",ExpressionUUID->"a983db99-3c46-4b24-95e9-9df4b10c33d9"]
}, Open  ]],

Cell["\<\
such layer maps one numerical value to a three-dimensional vector\
\>", "Text",
 CellChangeTimes->{{3.7912659016322384`*^9, 
  3.7912659565283995`*^9}},ExpressionUUID->"4cf23670-f91b-4f41-ae78-\
096f904466d3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"y1", "[", "0.3", "]"}]], "Input",
 CellChangeTimes->{{3.7912657072096395`*^9, 3.791265724421858*^9}, {
  3.791265760891118*^9, 3.7912657982504582`*^9}, {3.7912658613951035`*^9, 
  3.791265861718276*^9}, {3.791268100196944*^9, 3.791268100372443*^9}},
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[336]:=",ExpressionUUID->"fa8ee8be-6abc-48ea-9836-ffa30a0d2042"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.6439078967037499`", ",", 
   RowBox[{"-", "0.5213567698725998`"}], ",", "0.11098657939083396`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7912657259058523`*^9, {3.791265765379184*^9, 3.791265827189146*^9}, 
   3.7912658621561003`*^9, 3.791268100830222*^9},
 CellLabel->
  "Out[336]=",ExpressionUUID->"f82bc693-2f4f-4b75-a19c-842baff51797"]
}, Open  ]],

Cell["which can be visualized as", "Text",
 CellChangeTimes->{{3.7912659611504965`*^9, 3.7912659815283437`*^9}, {
  3.7912664497466855`*^9, 
  3.7912664539166613`*^9}},ExpressionUUID->"1ba0acd7-576b-467b-920a-\
62a392b2ef67"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"y1", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<layer1[x]\>\""}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.79126583464517*^9, 3.7912658704596815`*^9}, {
  3.7912660454640465`*^9, 3.7912661139041233`*^9}, {3.79126810292262*^9, 
  3.7912681031181307`*^9}},
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[337]:=",ExpressionUUID->"734adc30-e6fb-416f-8a65-a4b1af761ede"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwt2Hk0Ve/XAPB7rzuQyNSkUvFNpEFSkrSPSGVolFQSoTkkIUrIPIfMSRnL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       "]], LineBox[CompressedData["
1:eJwt2Hk0Vd37APA7XypDUaRBhiKpvFQ0sA9pkEpSSmXIkMpUmsT7RpIpc5ll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       "]], LineBox[CompressedData["
1:eJwtlH001Xccx6/H71juNmKLTSJ2RFaWcmh9vqxSjTxcD7VUiiSjTCFMG3lI
3XQnD7k6SeVZGnqg8P2FdCPdQhnucHFv90vGwdD1tHbO/nif15+v8/rnverw
CbcjiiwWy+nD/qPvHd7Y0hJiVt/4MfGymJLlc7omtvOIKbOxJDl9lDRuz/MO
n0WMtD3qWMlflJj0Vj97N46Y3MS3nz3uomR42eDNLjFi2OeHyySvKAkJtNpT
2YCYAG74klY9JWeMuxn/JMQUnW43Vb5BCT/bKLWVjRi3U/MG5j70g+PcCVc1
VWZlauXNnc9kROclx9lUW4WpZ49ET66XEYELZ2uLsTIT3/pe5HH5LdlhanzK
yFCJ+c0wUsTpkRKbMu984TeKjPZuh8pZIymRn/fXsjRVYA7JKn3XukjIPzO3
0g98zWIEdl4WBaFDpNEwdUNd8CLhc/0O3sgcJLYqv1aa+c2TtQvG9mFXB0ga
3rTJLkZO+ixa8tl5YuJ7dY9kOGeWWKbFjZ3M7yfCAn01Bf40UTww92mFWh/R
X/bHenJ/iuRHksW7HSKibiAV0uIJ0trjaBHs2U2C3BOuFBaOk+etEh1xcyfx
aehr0U8dJa0Z5ZNenq+J4XeLrk9iKcm+beeam9lGigIqxY/uS4i6SNN8aERI
AifLvS/wxeTbxdx8DZ1mYnFGZa+qUQ+RyI85521pJFqRHR9nZLeTT76vKDpw
vJZ0+gWtuTPYRL5y0Q8Qu5STiKg1Kc/Sy8hB9skY+jCTFF+yxrfW3Ybinyei
IljpkHIs9o1P3FOIaerUrN1XDhpTjralru2gVrGdV5xRA/2nmjaEx/fA9eWZ
fFPXRvi72qk+QiCG2IZpfVjdDPlJuT5+yRJgJdYppkQKwXi6ROt0NoXfS3cm
cnlt0FuxstY2YBSia2wOhRq+Bo/M/nMjvHHwi7wUN57WCdfyuLWOGRMgDBj0
45h0g/K+4FGVyCkY9+ZctAsTwQufogK3+GkQemUfNhP1wj0N3f0zQbOA2JB1
57d+MOGvkiFHOWhUhaoOx4pBHh6/UMKZB11Nma7HhQEYkeuxC60XoaLQ6b1t
+CBcP5rUoWfEwjVPk5YP+A8Bz+45d4WxAo6IXrsCtkmAfaLEvkFbEVsXaz45
85EU6rZW1d7XVcIpZ52kWCiFheCDGz3ZypibMMwox7wFBdSWZbagjNumw+Ir
vpTBxh2h9btYqnjJrV09vE4GclGpTHtCFTc4N9IvfqCwNUjAc5pWxeeVShfC
nShcnBu0TpCr4mJ/vnuHMwUDXb3kKUWEfX9a95zrTsHBK9m0XQvh1OQm6dR+
CmmvjgTyrBB+sUE4mhtCwaJJ/516JMLmOVlHQtIpnPawSbOPQbh47sqaB5kU
Hg95bI6KRXgs+8WmhSwK7koXuTQZ4XrXs2ZJ1yhE4zlzAR/he/dyf0ktoCB4
2BmcUIOwxVHL4cRqCpq7JrVrGYRZ+wy31z+i4N3FrptqRLjafOjdfC2FsZlt
bL9WhE1S4/VC6inoWN0ts+9F2KOrWWF3CwWfRqFn1ADCuatFVWdbKRRxRhbL
pQhbPdWoqRJS2Bxq6LxqDGFBYGSBQQeFRIUtM3smP/TrIR7nDYWXvL05vBmE
j8d5P0n4k4KuQZiDYA7hvqibDg+6Kfz/X3iwX+VzmYjCv9Cafyw=
       "]]},
     Annotation[#, "Charting`Private`Tag$1227361#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"layer1[x]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->Medium,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-3, 3}, {-0.9989073908415188, 0.9980139311664858}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7912658712236357`*^9, {3.7912660656949453`*^9, 3.7912661143959355`*^9}, 
   3.791268104027665*^9},
 CellLabel->
  "Out[337]=",ExpressionUUID->"01a7f2bd-4cad-4c86-b8c4-abcce6c369fb"]
}, Open  ]],

Cell["\<\
defining another layer which maps 3-dimensional vector to one numerical value\
\>", "Text",
 CellChangeTimes->{{3.791266120856783*^9, 
  3.7912661398311844`*^9}},ExpressionUUID->"8d463f5d-e49f-4847-b990-\
e83393bbc531"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Subscript", "[", 
    RowBox[{"y", ",", "2"}], "]"}], ":=", 
   RowBox[{"Tanh", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"HoldForm", "@", 
       RowBox[{"Subscript", "[", 
        RowBox[{"y", ",", "1"}], "]"}]}], ".", 
      RowBox[{"Subscript", "[", 
       RowBox[{"w", ",", "1"}], "]"}]}], "+", 
     RowBox[{"Subscript", "[", 
      RowBox[{"b", ",", "1"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Style", "[", 
  RowBox[{
   RowBox[{"Row", "@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"HoldForm", "@", 
        RowBox[{"Subscript", "[", 
         RowBox[{"y", ",", "2"}], "]"}]}], "]"}], ",", "\"\<=\>\"", ",", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"Subscript", "[", 
        RowBox[{"y", ",", "2"}], "]"}], "]"}], ",", "\"\< where \>\"", ",", 
      RowBox[{"TraditionalForm", "@", 
       RowBox[{"Element", "[", 
        RowBox[{
         RowBox[{"Row", "@", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"HoldForm", "@", 
             RowBox[{"Subscript", "[", 
              RowBox[{"y", ",", "1"}], "]"}]}], ",", "\"\<,\>\"", ",", 
            RowBox[{"Subscript", "[", 
             RowBox[{"w", ",", "2"}], "]"}]}], "}"}]}], ",", 
         RowBox[{"Power", "[", 
          RowBox[{"Reals", ",", "3"}], "]"}]}], "]"}]}], ",", "\"\<, \>\"", 
      ",", " ", 
      RowBox[{"TraditionalForm", "@", 
       RowBox[{"Element", "[", 
        RowBox[{
         RowBox[{"Subscript", "[", 
          RowBox[{"b", ",", "2"}], "]"}], ",", "Reals"}], "]"}]}]}], "}"}]}], 
   ",", "18"}], "]"}]}], "Input",
 CellChangeTimes->{{3.791266691828047*^9, 3.7912667498277593`*^9}, {
  3.7912667897531385`*^9, 3.7912668359778857`*^9}, {3.7912668714023705`*^9, 
  3.79126700889447*^9}, {3.7912672017545595`*^9, 3.791267204174783*^9}, {
  3.791267317520299*^9, 3.791267368531335*^9}, {3.7912676575969505`*^9, 
  3.791267686005784*^9}, {3.791267718243037*^9, 3.7912678236352153`*^9}, {
  3.7912678556303043`*^9, 3.7912679245902247`*^9}, {3.79126804601048*^9, 
  3.7912680790370903`*^9}},
 CellLabel->
  "In[331]:=",ExpressionUUID->"f8c94780-f85d-4790-88ff-0e00b34bf1c2"],

Cell[BoxData[
 StyleBox[
  TemplateBox[{TagBox[
     FormBox[
      TagBox[
       SubscriptBox["y", "2"], HoldForm], TraditionalForm], TraditionalForm, 
     Editable -> True],"\"=\"",TagBox[
     FormBox[
      RowBox[{"tanh", "(", 
        RowBox[{
          SubscriptBox["b", "1"], "+", 
          RowBox[{
            TagBox[
             SubscriptBox["y", "1"], HoldForm], ".", 
            SubscriptBox["w", "1"]}]}], ")"}], TraditionalForm], 
     TraditionalForm, Editable -> True],"\" where \"",TagBox[
     FormBox[
      RowBox[{
        TemplateBox[{
          TagBox[
           SubscriptBox["y", "1"], HoldForm], "\",\"", 
          SubscriptBox["w", "2"]}, "RowDefault"], "\[Element]", 
        SuperscriptBox[
         TemplateBox[{}, "Reals"], "3"]}], TraditionalForm], TraditionalForm, 
     Editable -> True],"\", \"",TagBox[
     FormBox[
      RowBox[{
        SubscriptBox["b", "2"], "\[Element]", 
        TemplateBox[{}, "Reals"]}], TraditionalForm], TraditionalForm, 
     Editable -> True]},
   "RowDefault"],
  StripOnInput->False,
  FontSize->18]], "Output",
 CellChangeTimes->{{3.791267362774482*^9, 3.791267369097787*^9}, {
  3.7912676701817117`*^9, 3.791267686773737*^9}, {3.7912677330728536`*^9, 
  3.791267824173774*^9}, {3.7912678623849487`*^9, 3.7912678770265703`*^9}, {
  3.7912680718106203`*^9, 3.7912680794450006`*^9}},
 CellLabel->
  "Out[332]=",ExpressionUUID->"5c4c3b79-768b-45c1-b40d-cde6eb040b46"]
}, {2}]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"w2", "=", 
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"b2", "=", 
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", "1", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"y2", "=", 
  RowBox[{
   RowBox[{"Tanh", "[", 
    RowBox[{
     RowBox[{"#", ".", "w2"}], "+", "b2"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.791266142784403*^9, 3.7912661793007917`*^9}, {
  3.79126810767244*^9, 3.7912681079337416`*^9}},
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[338]:=",ExpressionUUID->"bc789a69-20b0-453a-a0ee-16d7718be3ce"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"-", "0.05755091486387842`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"-", "0.035691019411510094`"}], "}"}], ",", 
   RowBox[{"{", "0.782341267938786`", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.791266180137501*^9, 3.7912662674902*^9, 
  3.7912681090621305`*^9},
 CellLabel->
  "Out[338]=",ExpressionUUID->"0c347e1e-4def-43fc-81bd-265856d980e4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", "0.808443183892114`"}], "}"}]], "Output",
 CellChangeTimes->{3.791266180137501*^9, 3.7912662674902*^9, 
  3.7912681090681133`*^9},
 CellLabel->
  "Out[339]=",ExpressionUUID->"55dbf5ee-1bd4-4039-905f-fd6886e6f3eb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tanh", "[", 
   RowBox[{
    RowBox[{"#1", ".", "w2"}], "+", "b2"}], "]"}], "&"}]], "Output",
 CellChangeTimes->{3.791266180137501*^9, 3.7912662674902*^9, 
  3.791268109073107*^9},
 CellLabel->
  "Out[340]=",ExpressionUUID->"c3f85929-eeef-4a6a-9ed2-96ef56c9c0cb"]
}, Open  ]],

Cell["combine the two layers together (a two layer Neural Network)", "Text",
 CellChangeTimes->{{3.7912661953094463`*^9, 
  3.7912662403692226`*^9}},ExpressionUUID->"f10f070d-69e1-404b-b810-\
e10efb209055"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nn", "=", 
  RowBox[{
   RowBox[{"y2", "@", 
    RowBox[{"y1", "@", "#"}]}], "&"}]}]], "Input",
 CellChangeTimes->{{3.7912662061037836`*^9, 3.7912662220779467`*^9}, {
  3.791268111216905*^9, 3.7912681157220745`*^9}},
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[341]:=",ExpressionUUID->"b007988a-7dae-4baf-a54c-1d24842f04a6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"y2", "[", 
   RowBox[{"y1", "[", "#1", "]"}], "]"}], "&"}]], "Output",
 CellChangeTimes->{3.791266223830261*^9, 3.7912662701973963`*^9, 
  3.7912681161970005`*^9},
 CellLabel->
  "Out[341]=",ExpressionUUID->"b12a8012-e0e0-421d-aa46-adfbb7daa4e3"]
}, Open  ]],

Cell["make a plot for the network", "Text",
 CellChangeTimes->{{3.7912662271338515`*^9, 
  3.7912662463512936`*^9}},ExpressionUUID->"fdb506c6-7168-4e2f-a14e-\
e44ffeb34f46"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"nn", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<nn[x]\>\""}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7912662553420844`*^9, 3.7912662588523192`*^9}},
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[342]:=",ExpressionUUID->"dffb1574-0317-4323-ae01-b2592a0bdff4"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwtlHs0lHkch43wW4pzlmQbHbk0cknZpGxs7y9JZXWRW9rRztmQbQltrp3s
0VKoNEfXHW1jM7lEtyW7Fb4vZlG5vG+m5H4dMS8ZZsKOobXn7B/P+Zznr89/
j8X3UQdDNTU0NPYu8t8efcif+PQJkRsuWXyq/cjA8jm2tasakavanAfCF13s
eZcbN4vIwzalIv1Ft+55+mJMjsjK3Ir6ACUDsmWDee39iKzKlKS+n2Ig+rjz
odJaRPYZcmlNOQPJnA4y7Dwi8739Q81lDAhyrLKbDBBJUU5qZTcDwt70KB9d
HVKwtKIur5qBFZTvfltjbVK/eJafJ2Kg4YCvxyuOFtkUFFsvSGNgty3nlJXl
EnJn4ZjqJY+BrQ+4+S0bNMlCe8WguysDqswwo422LHJy3Z2EPgMGPs6Irh1Z
q0GOFHxI3NcrA7Fl9qaqyAVA8TXddg9l4Kr9c6l9iBokiubIkjgZXMVbtmw/
owK3brGh+GsZHL11SCoTzkKBp8YONUsGLQVmuizBNJTdbg7OqRgFs2WPvoRy
JZxdHe19J34U9MyHW0bvTcFpE264l80oRPil3SwslIPd01+C6DcjwKvtfWWW
PQ6xbaGBb1NHwPLrBZ+/U0ahzGsNfc5mBIrCS/ufl0vBMDr/sk7zeziueMy9
IOgHWc2e68qw97A+WTtIx6oT9p/Okh5QD4NRomTp9ZxWqE+s/nDjyjC0hUTY
PRysgyObHSfUpsMQn2SX9eLaA3hsumcwKl8K9y67YJHjfWK2zSa4zEEKWT+k
vOWdrSe4wuSuLtEQ6Cu9XUt8WomVJjHm1uZD0HeqblNcaicxEPYjKbgwCB+e
7q2Jb+gnIsx27JJ+HID887/zQjKkxE1dr+ScYwPAmS42SsgZJSKSjopcX/VD
zx+rK13Dx4mdbMMM1ZZ+8L/Rl87w5YTSnsGK/D64ffdipff1KUId6fynv24f
aH0bOa6dqCS2x9El82M90MwrKjiYOk3Qt1Z1Wj3qhif67OCZiFki09ckqDKz
C6wFFiPIW0V4fNYVmnSiE1RxqfPFvmqiMYa72oXoAEZlalDoskB8YeyU52jX
DrnHzktMrTTwQMWzoX7td8Df3nhxJYeFtWJ4fjbyt2AQVexea6yJF2InfwqY
fgNVHn9VlrOX4Pu9wuUnpiQwH/nd5gADLczOkLc/0ZMAC73+1X5eC5MljUNO
G1th8+6TNV4aOpidm5V+1vc1qLpKRoyndLD6RJ2Dx2UaPCIa+HundXDVjivb
Ji/QcGlu0CVNpYO/aXZzEKbTYM42zVBqIvzbPyzRfAoNuwIzbFuNEI6T75sW
n6LhKh16nO+McAd8xTlzmIb1dWZjeokIO61RBF+xpiHBf+tV9zMI33YQG3Ot
aKge8ndLSkG4+jXrHsecBr8lly6OZiCcE5h57PlKGk7juXUNAoS35ro6Ty6j
oeFZW2RaBcKc8jn9cwoKDL0UxpUkwiYSURpXTgG33aBKKUb42cu6d07jFEzM
7DQIaULY097pc+kwBSucyx649yCs1m9r8OmggCduCUgaQHibVwx7QxsFRb7M
wuNhhNcmqj31JRS4nbTcbzGBcIKe0LGxiYJzrG0zhxSLf9XZ4yUvKaD4QUL+
DMIsI8e0rHoK2OaxuxrmEA6kQ2aixRT83y/cWGTm4VdNwb9W2pgm
       "]]},
     Annotation[#, "Charting`Private`Tag$1227933#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"nn[x]\"", TraditionalForm]},
  AxesOrigin->{0, -0.8737506850269819},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->Medium,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-3, 3}, {-0.8737506850269819, -0.26179987575838193`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7912662600511675`*^9, 3.791266272645486*^9}, 
   3.7912681196622167`*^9},
 CellLabel->
  "Out[342]=",ExpressionUUID->"4e06b2c4-a1b1-4040-bef3-5e015fc98800"]
}, Open  ]],

Cell["\<\
the layers can be stacked one after the other, making a very DEEP network \
structure (called Deep Learning)\
\>", "Text",
 CellChangeTimes->{{3.7912664629080834`*^9, 
  3.7912664875638437`*^9}},ExpressionUUID->"03572b18-3fef-458c-83d1-\
9c55c7507f7b"]
}, Closed]],

Cell[CellGroupData[{

Cell["An Interactive Plot", "Chapter",
 CellChangeTimes->{{3.791199794424138*^9, 3.791199817075786*^9}, {
   3.791200265940048*^9, 3.791200270812752*^9}, {3.7912042891474895`*^9, 
   3.791204301450164*^9}, 
   3.791265647371157*^9},ExpressionUUID->"87d623ea-50af-4a44-856d-\
fc00aca0857f"],

Cell["\<\
we can visualize the above process with an interactive plot, where we can \
play with the weight values and see what are the effects

just a reminder that one neuron (Perceptron) consist of a input vector, a \
weight vector, a bias value and an activation function.

here the plot allows you to play with the weight vector and the bias value\
\>", "Text",
 CellChangeTimes->{{3.7912664982285457`*^9, 3.7912665251197352`*^9}, {
  3.791266601874137*^9, 
  3.79126662947344*^9}},ExpressionUUID->"f35e128f-dc27-4dbb-ab13-\
715436f25eed"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InteractiveNN", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "3", ",", "5", ",", "3", ",", "1"}], "}"}], 
  "]"}]], "Input",
 Background->RGBColor[0.87, 0.94, 1],
 CellLabel->
  "In[266]:=",ExpressionUUID->"d4da5e01-9860-4b90-8622-f6610f5d2f65"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`numlayers$$ = 5, $CellContext`dims$$ = {{1, 
  3}, {3, 5}, {5, 3}, {3, 
  1}}, $CellContext`weights$$ = {{{-0.3960804835291971, 
   0.7515895860368591, -0.6688225803825953}}, {{0.5060310305258704, 
   0.21234394124444034`, 0.242, 0.32600000000000007`, 
   0.11498029620427586`}, {-0.7179521471697061, -0.8090960250543717, \
-0.41000000000000003`, -0.3624469376978401, -0.3508564205497837}, {
   0.08853009821422031, -0.3997601846076799, 
   0.13400000000000012`, -0.9455029198705125, 
   0.6967926662857407}}, {{-0.9403282140014748, -0.19885597742337557`, 
   0.5407544262250279}, {-0.8609903194107535, -0.126, -0.6637315736439033}, {
   0.7147352958440627, -0.9939935959879707, -0.8208562663270453}, \
{-0.6018659222975828, 0.7515354914930086, 0.21954148622246494`}, {
   0.9065480293724137, 0.931076859028177, -0.09585990302463454}}, {{
   0.7919128872458625}, {-0.5926761887098939}, {
   0.71550048507076}}}, $CellContext`biases$$ = {{-0.9154293385062675, 
   0.19858594818709374`, -0.30806323849567985`}, {0.01989937399280084, 
   0.9114663411340618, -0.9420298886788099, -0.268, 0.13598820025692415`}, {
   0.15799999999999992`, 0.2846411303376106, 0.03200000000000003}, {
   0.20799999999999996`}}, $CellContext`iselect$$ = 
  3, $CellContext`jselect$$ = 3}, 
  TagBox[GridBox[{
     {
      TemplateBox[{TagBox[
         DynamicBox[
          ToBoxes[
           Graphics[{
             If[$CellContext`numlayers$$ > 1, 
              Table[{
                If[
                 
                 And[$CellContext`i == $CellContext`iselect$$, \
$CellContext`j1 == $CellContext`jselect$$], Red, Gray], 
                
                Line[{{$CellContext`i/$CellContext`numlayers$$, \
($CellContext`j1 - (Part[{1, 3, 5, 3, 1}, $CellContext`i] + 1)/2)/
                   Part[{1, 3, 5, 3, 1}, $CellContext`i]}, {($CellContext`i - 
                    1)/$CellContext`numlayers$$, ($CellContext`j2 - (
                    Part[{1, 3, 5, 3, 1}, $CellContext`i - 1] + 1)/2)/
                   Part[{1, 3, 5, 3, 1}, $CellContext`i - 
                    1]}}]}, {$CellContext`i, 
                2, $CellContext`numlayers$$}, {$CellContext`j1, 
                Part[{1, 3, 5, 3, 1}, $CellContext`i]}, {$CellContext`j2, 
                Part[{1, 3, 5, 3, 1}, $CellContext`i - 1]}]], 
             Table[{
               If[
                
                And[$CellContext`iselect$$ == $CellContext`i, \
$CellContext`jselect$$ == $CellContext`j], Red, Black], 
               
               Disk[{$CellContext`i/$CellContext`numlayers$$, ($CellContext`j - \
(Part[{1, 3, 5, 3, 1}, $CellContext`i] + 1)/2)/
                 Part[{1, 3, 5, 3, 1}, $CellContext`i]}, 
                0.03]}, {$CellContext`i, $CellContext`numlayers$$}, \
{$CellContext`j, 
               Part[{1, 3, 5, 3, 1}, $CellContext`i]}]}, ImageSize -> Medium],
            StandardForm]], 
         EventHandlerTag[{
          "MouseClicked" :> (($CellContext`iselect$$ = 
             Round[Part[#, 
                 1] $CellContext`numlayers$$]; $CellContext`jselect$$ = 
             Round[Part[#, 2] 
                Part[{1, 3, 5, 3, 1}, $CellContext`iselect$$] + (
                 Part[{1, 3, 5, 3, 1}, $CellContext`iselect$$] + 1)/2])& )[
             MapThread[Rescale, {
               MousePosition["EventHandlerAutomatic"], {{0, 1}, {0, 1}}, {{0, 
               1}, {0, 1}}}]], Method -> "Preemptive", PassEventsDown -> 
           Automatic, PassEventsUp -> True}]],TemplateBox[{25}, "Spacer1"],
        DynamicBox[
         ToBoxes[
          Plot[{
            (First[
             $CellContext`NN[$CellContext`weights$$, $CellContext`biases$$, 
              Tanh][{#}]]& )[$CellContext`x], 
            (First[
             $CellContext`NN[$CellContext`weights$$, $CellContext`biases$$, \
$CellContext`ReLU][{#}]]& )[$CellContext`x]}, {$CellContext`x, -10, 10}, 
           PlotRange -> 1, ImageSize -> Large, 
           PlotLegends -> {"Tanh", "ReLU"}], StandardForm]]},
       "RowDefault"]},
     {
      DynamicBox[ToBoxes[
        If[$CellContext`iselect$$ > 1, 
         Column[{
           
           If[$CellContext`iselect$$ == $CellContext`numlayers$$, 
            "Output Neuron", "Hidden Neuron"], 
           Row[{
             Grid[
              Table[
               With[{$CellContext`j$ = $CellContext`j}, {
                 Subscript[
                  Superscript[
                  "w", $CellContext`iselect$$ - 
                   1], $CellContext`j$, $CellContext`jselect$$], 
                 Slider[
                  Dynamic[
                   
                   Part[$CellContext`weights$$, $CellContext`iselect$$ - 
                    1, $CellContext`j$, $CellContext`jselect$$]], {-1, 1}], 
                 Dynamic[
                  
                  Part[$CellContext`weights$$, $CellContext`iselect$$ - 
                   1, $CellContext`j$, $CellContext`jselect$$]]}], \
{$CellContext`j, 
                Part[{1, 3, 5, 3, 1}, $CellContext`iselect$$ - 1]}]], 
             Spacer[20], 
             Row[{
               Subscript[
                Superscript[
                "b", $CellContext`iselect$$ - 1], $CellContext`jselect$$], 
               Slider[
                Dynamic[
                 
                 Part[$CellContext`biases$$, $CellContext`iselect$$ - 
                  1, $CellContext`jselect$$]], {-1, 1}], 
               Dynamic[
                
                Part[$CellContext`biases$$, $CellContext`iselect$$ - 
                 1, $CellContext`jselect$$]]}]}]}], "Input Neuron"], 
        StandardForm],
       ImageSizeCache->{736., {49., 56.}}]}
    },
    DefaultBaseStyle->"Column",
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Column"],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{3.7912665282835617`*^9},
 CellLabel->
  "Out[266]=",ExpressionUUID->"bd151335-dc29-494c-ac51-1a3eb0b099d1"]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1504, 920},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.25 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 189, 3, 121, "Title",ExpressionUUID->"4b67fbdf-4607-41cd-965a-f0df77d070a3"],
Cell[CellGroupData[{
Cell[794, 29, 160, 3, 56, "Subsubsection",ExpressionUUID->"5fe0192c-a430-48c0-ac68-42c8fa39a2b0"],
Cell[957, 34, 200, 3, 43, "Text",ExpressionUUID->"33840942-895e-4ae6-8fb2-67c9ce3ac854"],
Cell[CellGroupData[{
Cell[1182, 41, 1099, 28, 80, "Input",ExpressionUUID->"37c5f8dd-e65a-41c9-ba2e-6748b914ffaf",
 InitializationCell->True],
Cell[2284, 71, 873, 24, 40, "Output",ExpressionUUID->"24c92188-2e4b-4f69-bc4b-c387d02490e9"]
}, Open  ]],
Cell[3172, 98, 1813, 45, 128, "Input",ExpressionUUID->"22e973cf-f21a-4d15-b2f0-04517e0b6c0e",
 InitializationCell->True],
Cell[4988, 145, 15043, 353, 992, "Input",ExpressionUUID->"4065d089-2186-425b-8638-3727296d844e",
 InitializationCell->True],
Cell[20034, 500, 297, 7, 35, "Input",ExpressionUUID->"6bd57ad9-ff88-44dc-8079-50e1d7b260c6"]
}, Closed]],
Cell[CellGroupData[{
Cell[20368, 512, 268, 4, 71, "Chapter",ExpressionUUID->"fdccd14f-14cb-4776-81f6-923069e2fd56"],
Cell[20639, 518, 345, 7, 43, "Text",ExpressionUUID->"1ac0ec6d-f22a-4f51-9bac-08cd968cedf6"],
Cell[20987, 527, 54032, 892, 414, "Input",ExpressionUUID->"cef8dca4-38e4-4251-ae45-4345bf81a598"],
Cell[75022, 1421, 489, 9, 43, "Text",ExpressionUUID->"d29463bc-c6f8-4b80-9be2-b8968514df49"],
Cell[CellGroupData[{
Cell[75536, 1434, 508, 14, 35, "Input",ExpressionUUID->"e42b61a8-99ad-495b-ae88-c927da861ada"],
Cell[76047, 1450, 469, 15, 48, "Output",ExpressionUUID->"eecd516a-37a4-4d02-b463-f3bc9775d3b1"]
}, {2}]],
Cell[76528, 1468, 408, 8, 43, "Text",ExpressionUUID->"3805d157-023f-4d70-b3fd-9adfbcf605f6"],
Cell[76939, 1478, 26657, 442, 179, "Input",ExpressionUUID->"3a14824e-5c25-4dc8-aee5-cc29fa777207"],
Cell[103599, 1922, 505, 9, 43, "Text",ExpressionUUID->"f6e6b88e-fea7-461a-817a-21f3d97ef9df"],
Cell[CellGroupData[{
Cell[104129, 1935, 1478, 48, 35, "Input",ExpressionUUID->"e0633d41-fc51-43aa-a143-01499ead0302"],
Cell[105610, 1985, 725, 23, 48, "Output",ExpressionUUID->"96f26f00-4769-426e-ba31-ee2c0ede2eac"]
}, {2}]],
Cell[CellGroupData[{
Cell[106369, 2013, 464, 9, 35, "Input",ExpressionUUID->"58e294fd-91c2-476c-bc1f-fceffb3b0e6c"],
Cell[106836, 2024, 486, 10, 40, "Output",ExpressionUUID->"0b415055-d79f-4ab6-bba3-fe0dc24dbf21"]
}, {2}]]
}, Closed]],
Cell[CellGroupData[{
Cell[107368, 2040, 308, 5, 71, "Chapter",ExpressionUUID->"654a4430-f039-4360-a3ee-cb31d0490937"],
Cell[107679, 2047, 364, 7, 43, "Text",ExpressionUUID->"062a7a5a-ed59-4830-b5eb-870942ae5456"],
Cell[CellGroupData[{
Cell[108068, 2058, 2011, 48, 108, "Input",ExpressionUUID->"3a40dba1-7610-4029-95ee-9fdb0973c733"],
Cell[110082, 2108, 1354, 35, 48, "Output",ExpressionUUID->"62f09524-879d-48ef-933c-e0796e2d9ab9"]
}, {2}]],
Cell[CellGroupData[{
Cell[111470, 2148, 1025, 29, 104, "Input",ExpressionUUID->"ba691f51-ca5e-445a-9c62-c7583ddaf757"],
Cell[112498, 2179, 391, 9, 40, "Output",ExpressionUUID->"d06cd628-026b-4383-a54e-96587401a4e4"],
Cell[112892, 2190, 399, 8, 40, "Output",ExpressionUUID->"4f03f8c1-3446-43b5-85d6-d51ada617737"],
Cell[113294, 2200, 375, 10, 40, "Output",ExpressionUUID->"a983db99-3c46-4b24-95e9-9df4b10c33d9"]
}, Open  ]],
Cell[113684, 2213, 219, 5, 43, "Text",ExpressionUUID->"4cf23670-f91b-4f41-ae78-096f904466d3"],
Cell[CellGroupData[{
Cell[113928, 2222, 394, 7, 55, "Input",ExpressionUUID->"fa8ee8be-6abc-48ea-9836-ffa30a0d2042"],
Cell[114325, 2231, 386, 9, 40, "Output",ExpressionUUID->"f82bc693-2f4f-4b75-a19c-842baff51797"]
}, Open  ]],
Cell[114726, 2243, 225, 4, 43, "Text",ExpressionUUID->"1ba0acd7-576b-467b-920a-62a392b2ef67"],
Cell[CellGroupData[{
Cell[114976, 2251, 657, 16, 55, "Input",ExpressionUUID->"734adc30-e6fb-416f-8a65-a4b1af761ede"],
Cell[115636, 2269, 17318, 307, 313, "Output",ExpressionUUID->"01a7f2bd-4cad-4c86-b8c4-abcce6c369fb"]
}, Open  ]],
Cell[132969, 2579, 229, 5, 43, "Text",ExpressionUUID->"8d463f5d-e49f-4847-b990-e83393bbc531"],
Cell[CellGroupData[{
Cell[133223, 2588, 2217, 55, 108, "Input",ExpressionUUID->"f8c94780-f85d-4790-88ff-0e00b34bf1c2"],
Cell[135443, 2645, 1441, 38, 48, "Output",ExpressionUUID->"5c4c3b79-768b-45c1-b40d-cde6eb040b46"]
}, {2}]],
Cell[CellGroupData[{
Cell[136918, 2688, 840, 25, 104, "Input",ExpressionUUID->"bc789a69-20b0-453a-a0ee-16d7718be3ce"],
Cell[137761, 2715, 423, 11, 40, "Output",ExpressionUUID->"0c347e1e-4def-43fc-81bd-265856d980e4"],
Cell[138187, 2728, 257, 6, 40, "Output",ExpressionUUID->"55dbf5ee-1bd4-4039-905f-fd6886e6f3eb"],
Cell[138447, 2736, 298, 8, 40, "Output",ExpressionUUID->"c3f85929-eeef-4a6a-9ed2-96ef56c9c0cb"]
}, Open  ]],
Cell[138760, 2747, 206, 3, 43, "Text",ExpressionUUID->"f10f070d-69e1-404b-b810-e10efb209055"],
Cell[CellGroupData[{
Cell[138991, 2754, 361, 9, 55, "Input",ExpressionUUID->"b007988a-7dae-4baf-a54c-1d24842f04a6"],
Cell[139355, 2765, 281, 7, 40, "Output",ExpressionUUID->"b12a8012-e0e0-421d-aa46-adfbb7daa4e3"]
}, Open  ]],
Cell[139651, 2775, 173, 3, 43, "Text",ExpressionUUID->"fdb506c6-7168-4e2f-a14e-e44ffeb34f46"],
Cell[CellGroupData[{
Cell[139849, 2782, 553, 14, 55, "Input",ExpressionUUID->"dffb1574-0317-4323-ae01-b2592a0bdff4"],
Cell[140405, 2798, 3720, 82, 319, "Output",ExpressionUUID->"4e06b2c4-a1b1-4040-bef3-5e015fc98800"]
}, Open  ]],
Cell[144140, 2883, 262, 6, 43, "Text",ExpressionUUID->"03572b18-3fef-458c-83d1-9c55c7507f7b"]
}, Closed]],
Cell[CellGroupData[{
Cell[144439, 2894, 289, 5, 71, "Chapter",ExpressionUUID->"87d623ea-50af-4a44-856d-fc00aca0857f"],
Cell[144731, 2901, 543, 12, 154, "Text",ExpressionUUID->"f35e128f-dc27-4dbb-ab13-715436f25eed"],
Cell[CellGroupData[{
Cell[145299, 2917, 267, 7, 55, "Input",ExpressionUUID->"d4da5e01-9860-4b90-8622-f6610f5d2f65"],
Cell[145569, 2926, 6003, 131, 596, "Output",ExpressionUUID->"bd151335-dc29-494c-ac51-1a3eb0b099d1"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

